-- Adminer 4.8.1 MySQL 5.5.5-10.4.21-MariaDB-log dump

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

DROP TABLE IF EXISTS `attachments`;
CREATE TABLE `attachments` (
  `attachment_id` int(11) NOT NULL AUTO_INCREMENT,
  `attachment_uniqiueid` varchar(100) NOT NULL,
  `attachment_created` datetime DEFAULT NULL,
  `attachment_updated` datetime DEFAULT NULL,
  `attachment_creatorid` int(11) NOT NULL,
  `attachment_clientid` int(11) DEFAULT NULL COMMENT 'optional',
  `attachment_directory` varchar(100) NOT NULL,
  `attachment_filename` varchar(250) NOT NULL,
  `attachment_extension` varchar(20) DEFAULT NULL,
  `attachment_type` varchar(20) DEFAULT NULL COMMENT 'image | file',
  `attachment_size` varchar(30) DEFAULT NULL COMMENT 'Human readable file size',
  `attachment_thumbname` varchar(250) DEFAULT NULL COMMENT 'optional for images',
  PRIMARY KEY (`attachment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `blogs`;
CREATE TABLE `blogs` (
  `blog_id` int(11) NOT NULL AUTO_INCREMENT,
  `blog_created` datetime NOT NULL,
  `blog_updated` datetime NOT NULL,
  `blog_creatorid` int(11) NOT NULL,
  `blog_title` datetime DEFAULT NULL,
  `blog_text` datetime DEFAULT NULL,
  `blog_slug` varchar(250) DEFAULT NULL,
  `blog_status` varchar(50) DEFAULT 'draft' COMMENT 'draft|published',
  PRIMARY KEY (`blog_id`),
  KEY `blog_status` (`blog_status`),
  KEY `blog_creatorid` (`blog_creatorid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `email_log`;
CREATE TABLE `email_log` (
  `emaillog_id` int(11) NOT NULL AUTO_INCREMENT,
  `emaillog_created` datetime DEFAULT NULL,
  `emaillog_updated` datetime DEFAULT NULL,
  `emaillog_email` varchar(100) DEFAULT NULL,
  `emaillog_subject` varchar(200) DEFAULT NULL,
  `emaillog_body` text DEFAULT NULL,
  `emaillog_attachment` varchar(250) DEFAULT 'attached file name',
  PRIMARY KEY (`emaillog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `email_queue`;
CREATE TABLE `email_queue` (
  `emailqueue_id` int(11) NOT NULL AUTO_INCREMENT,
  `emailqueue_created` datetime NOT NULL,
  `emailqueue_updated` datetime NOT NULL,
  `emailqueue_to` varchar(150) DEFAULT NULL,
  `emailqueue_from_email` varchar(150) DEFAULT NULL COMMENT 'optional (used in sending client direct email)',
  `emailqueue_from_name` varchar(150) DEFAULT NULL COMMENT 'optional (used in sending client direct email)',
  `emailqueue_subject` varchar(250) DEFAULT NULL,
  `emailqueue_message` text DEFAULT NULL,
  `emailqueue_type` varchar(10) DEFAULT 'general' COMMENT 'general|pdf (used for emails that need to generate a pdf)',
  `emailqueue_attachments` text DEFAULT NULL COMMENT 'json of request(''attachments'')',
  `emailqueue_resourcetype` varchar(10) DEFAULT NULL COMMENT 'e.g. invoice. Used mainly for deleting records, when resource has been deleted',
  `emailqueue_resourceid` int(11) DEFAULT NULL,
  `emailqueue_pdf_resource_type` varchar(50) DEFAULT NULL COMMENT 'estimate|invoice',
  `emailqueue_pdf_resource_id` int(11) DEFAULT NULL COMMENT 'resource id (e.g. estimate id)',
  `emailqueue_started_at` datetime DEFAULT NULL COMMENT 'timestamp of when processing started',
  `emailqueue_status` varchar(20) DEFAULT 'new' COMMENT 'new|processing (set to processing by the cronjob, to avoid duplicate processing)',
  PRIMARY KEY (`emailqueue_id`),
  KEY `emailqueue_type` (`emailqueue_type`),
  KEY `emailqueue_resourcetype` (`emailqueue_resourcetype`),
  KEY `emailqueue_resourceid` (`emailqueue_resourceid`),
  KEY `emailqueue_pdf_resource_type` (`emailqueue_pdf_resource_type`),
  KEY `emailqueue_pdf_resource_id` (`emailqueue_pdf_resource_id`),
  KEY `emailqueue_status` (`emailqueue_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `email_templates`;
CREATE TABLE `email_templates` (
  `emailtemplate_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'x',
  `emailtemplate_name` varchar(100) DEFAULT NULL,
  `emailtemplate_lang` varchar(100) DEFAULT NULL COMMENT 'to match to language',
  `emailtemplate_type` varchar(30) DEFAULT NULL COMMENT 'everyone|admin|client',
  `emailtemplate_category` varchar(30) DEFAULT NULL COMMENT 'users|projects|tasks|leads|tickets|billing|estimates|other|system',
  `emailtemplate_subject` varchar(250) DEFAULT NULL,
  `emailtemplate_body` text DEFAULT NULL,
  `emailtemplate_variables` text DEFAULT NULL,
  `emailtemplate_created` datetime DEFAULT NULL,
  `emailtemplate_updated` datetime DEFAULT NULL,
  `emailtemplate_status` varchar(20) DEFAULT 'enabled' COMMENT 'enabled|disabled',
  `emailtemplate_language` varchar(50) DEFAULT NULL,
  `emailtemplate_real_template` varchar(50) DEFAULT 'yes' COMMENT 'yes|no',
  `emailtemplate_show_enabled` varchar(50) DEFAULT 'yes' COMMENT 'yes|no',
  PRIMARY KEY (`emailtemplate_id`),
  KEY `emailtemplate_type` (`emailtemplate_type`),
  KEY `emailtemplate_category` (`emailtemplate_category`)
) ENGINE=MyISAM AUTO_INCREMENT=155 DEFAULT CHARSET=utf8 COMMENT='[do not truncate]';

INSERT INTO `email_templates` (`emailtemplate_id`, `emailtemplate_name`, `emailtemplate_lang`, `emailtemplate_type`, `emailtemplate_category`, `emailtemplate_subject`, `emailtemplate_body`, `emailtemplate_variables`, `emailtemplate_created`, `emailtemplate_updated`, `emailtemplate_status`, `emailtemplate_language`, `emailtemplate_real_template`, `emailtemplate_show_enabled`) VALUES
(1,	'New Customer Welcome',	'template_lang_customer_user_welcome',	'customer',	'customer',	'Welcome - Your Account Details',	'<!DOCTYPE html>\n<html>\n\n<head>\n\n    <meta charset=\"utf-8\">\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\n    <title>Email Confirmation</title>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n    <style type=\"text/css\">\n        @media screen {\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 400;\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\n            }\n\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 700;\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\n            }\n        }\n\n        body,\n        table,\n        td,\n        a {\n            -ms-text-size-adjust: 100%;\n            /* 1 */\n            -webkit-text-size-adjust: 100%;\n            /* 2 */\n        }\n\n        img {\n            -ms-interpolation-mode: bicubic;\n        }\n\n        a[x-apple-data-detectors] {\n            font-family: inherit !important;\n            font-size: inherit !important;\n            font-weight: inherit !important;\n            line-height: inherit !important;\n            color: inherit !important;\n            text-decoration: none !important;\n        }\n\n        div[style*=\"margin: 16px 0;\"] {\n            margin: 0 !important;\n        }\n\n        body {\n            width: 100% !important;\n            height: 100% !important;\n            padding: 0 !important;\n            margin: 0 !important;\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            background-color: #f9fafc;\n            color: #60676d;\n        }\n\n        table {\n            border-collapse: collapse !important;\n        }\n\n        a {\n            color: #1a82e2;\n        }\n\n        img {\n            height: auto;\n            line-height: 100%;\n            text-decoration: none;\n            border: 0;\n            outline: none;\n        }\n\n        .table-1 {\n            max-width: 600px;\n        }\n\n        .table-1 td {\n            padding: 36px 24px 40px;\n            text-align: center;\n        }\n\n        .table-1 h1 {\n            margin: 0;\n            font-size: 32px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-2 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n            padding: 36px 24px 0;\n            border-top: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .table-2 h1 {\n            margin: 0;\n            font-size: 20px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-3 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n\n            background-color: #ffffff;\n        }\n\n        .td-1 {\n            padding: 24px;\n            font-size: 16px;\n            line-height: 24px;\n            background-color: #ffffff;\n            text-align: left;\n            padding-bottom: 10px;\n            padding-top: 0px;\n        }\n\n        .table-gray {\n            width: 100%;\n        }\n\n        .table-gray tr {\n            height: 24px;\n        }\n\n        .table-gray .td-1 {\n            background-color: #f1f3f7;\n            width: 30%;\n            border: solid 1px #e7e9ec;\n            padding-top: 5px;\n            padding-bottom: 5px;\n        }\n\n        .table-gray .td-2 {\n            background-color: #f1f3f7;\n            width: 70%;\n            border: solid 1px #e7e9ec;\n        }\n\n        .button {\n            display: inline-block;\n            padding: 16px 36px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            color: #ffffff;\n            text-decoration: none;\n            border-radius: 6px;\n            background-color: #1a82e2;\n            border-radius: 6px;\n        }\n\n        .signature {\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            line-height: 24px;\n            border-bottom: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .footer {\n            max-width: 600px;\n        }\n\n        .footer td {\n            padding: 12px 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 14px;\n            line-height: 20px;\n            color: #666;\n        }\n\n        .td-button {\n            padding: 12px;\n            background-color: #ffffff;\n            text-align: center;\n        }\n\n        .p-24 {\n            padding: 24px;\n        }\n    </style>\n\n</head>\n\n<body>\n<!-- start body -->\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\n<tbody>\n<tr>\n<td align=\"center\">\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Welcome</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start hero -->\n<tr>\n<td align=\"center\">\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Hi {name},</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start copy block -->\n<tr>\n<td align=\"center\">\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\n<tbody>\n<tr>\n<td class=\"td-1\">\n<p>Your account has been created. Below are your login details.</p>\n</td>\n</tr>\n<tr>\n<td class=\"td-1\">\n<table class=\"table-gray\" cellpadding=\"5\">\n<tbody>\n<tr>\n<td class=\"td-1\"><strong>Account URL</strong></td>\n<td class=\"td-2\"><a href=\"{account_url}\">{account_name}</a></td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Plan Name</strong></td>\n<td class=\"td-2\">{plan_name}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Username</strong></td>\n<td class=\"td-2\">{username}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Password</strong></td>\n<td class=\"td-2\">{password}</td>\n</tr>\n</tbody>\n</table>\n<div>\n<div> </div>\n</div>\n</td>\n</tr>\n<tr>\n<td align=\"left\" bgcolor=\"#ffffff\">\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td class=\"td-button\">\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"center\"><a class=\"button\" href=\"{button_url}\" target=\"_blank\" rel=\"noopener\">Login To You Account</a></td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<tr>\n<td class=\"signature\">\n<p>{email_signature}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end copy block --> <!-- start footer -->\n<tr>\n<td class=\"p-24\" align=\"center\">\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\n<tbody>\n<tr>\n<td align=\"center\">\n<p>{email_footer}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end footer --></tbody>\n</table>\n<!-- end body -->\n</body>\n\n</html>',	'{name}, {account_name}, {account_url}, {username}, {password}, {plan_name}, {button_url}',	'2019-12-08 17:13:10',	'2023-03-18 12:39:10',	'enabled',	'english',	'yes',	'yes'),
(3,	'Reset Password Request',	'template_lang_reset_password_request',	'everyone',	'admin',	'Reset Password Request',	'<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n\r\n    <meta charset=\"utf-8\">\r\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\r\n    <title>Email Confirmation</title>\r\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\r\n    <style type=\"text/css\">\r\n        @media screen {\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 400;\r\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\r\n            }\r\n\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 700;\r\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\r\n            }\r\n        }\r\n\r\n        body,\r\n        table,\r\n        td,\r\n        a {\r\n            -ms-text-size-adjust: 100%;\r\n            /* 1 */\r\n            -webkit-text-size-adjust: 100%;\r\n            /* 2 */\r\n        }\r\n\r\n        img {\r\n            -ms-interpolation-mode: bicubic;\r\n        }\r\n\r\n        a[x-apple-data-detectors] {\r\n            font-family: inherit !important;\r\n            font-size: inherit !important;\r\n            font-weight: inherit !important;\r\n            line-height: inherit !important;\r\n            color: inherit !important;\r\n            text-decoration: none !important;\r\n        }\r\n\r\n        div[style*=\"margin: 16px 0;\"] {\r\n            margin: 0 !important;\r\n        }\r\n\r\n        body {\r\n            width: 100% !important;\r\n            height: 100% !important;\r\n            padding: 0 !important;\r\n            margin: 0 !important;\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            background-color: #f9fafc;\r\n            color: #60676d;\r\n        }\r\n\r\n        table {\r\n            border-collapse: collapse !important;\r\n        }\r\n\r\n        a {\r\n            color: #1a82e2;\r\n        }\r\n\r\n        img {\r\n            height: auto;\r\n            line-height: 100%;\r\n            text-decoration: none;\r\n            border: 0;\r\n            outline: none;\r\n        }\r\n\r\n        .table-1 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-1 td {\r\n            padding: 36px 24px 40px;\r\n            text-align: center;\r\n        }\r\n\r\n        .table-1 h1 {\r\n            margin: 0;\r\n            font-size: 32px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-2 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n            padding: 36px 24px 0;\r\n            border-top: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .table-2 h1 {\r\n            margin: 0;\r\n            font-size: 20px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-3 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .td-1 {\r\n            padding: 24px;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            background-color: #ffffff;\r\n            text-align: left;\r\n            padding-bottom: 10px;\r\n            padding-top: 0px;\r\n        }\r\n\r\n        .table-gray {\r\n            width: 100%;\r\n        }\r\n\r\n        .table-gray tr {\r\n            height: 24px;\r\n        }\r\n\r\n        .table-gray .td-1 {\r\n            background-color: #f1f3f7;\r\n            width: 30%;\r\n            border: solid 1px #e7e9ec;\r\n            padding-top: 5px;\r\n            padding-bottom: 5px;\r\n        }\r\n\r\n        .table-gray .td-2 {\r\n            background-color: #f1f3f7;\r\n            width: 70%;\r\n            border: solid 1px #e7e9ec;\r\n        }\r\n\r\n        .button {\r\n            display: inline-block;\r\n            padding: 16px 36px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            color: #ffffff;\r\n            text-decoration: none;\r\n            border-radius: 6px;\r\n            background-color: #1a82e2;\r\n            border-radius: 6px;\r\n        }\r\n\r\n        .signature {\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            border-bottom: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .footer {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .footer td {\r\n            padding: 12px 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 14px;\r\n            line-height: 20px;\r\n            color: #666;\r\n        }\r\n\r\n        .td-button {\r\n            padding: 12px;\r\n            background-color: #ffffff;\r\n            text-align: center;\r\n        }\r\n\r\n        .p-24 {\r\n            padding: 24px;\r\n        }\r\n    </style>\r\n\r\n</head>\r\n\r\n<body>\r\n<!-- start body -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Reset Your Password</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start hero -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Hi {first_name},</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start copy block -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\">\r\n<p>To complete your password request, please follow the link below.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\">\r\n<p>If you are not the one that has initiated this password request, please contact us.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"left\" bgcolor=\"#ffffff\">\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td class=\"td-button\">\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"center\"><a class=\"button\" href=\"{password_reset_link}\" target=\"_blank\" rel=\"noopener\">Reset Password</a></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"signature\">\r\n<p>{email_signature}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end copy block --> <!-- start footer -->\r\n<tr>\r\n<td class=\"p-24\" align=\"center\">\r\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<p>{email_footer}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end footer --></tbody>\r\n</table>\r\n<!-- end body -->\r\n</body>\r\n\r\n</html>',	'{name}, {button_url}',	'2019-12-08 17:13:10',	'2020-11-12 12:21:58',	'enabled',	'english',	'yes',	'yes'),
(100,	'Email Signature',	'template_lang_email_signature',	'admin',	'other',	'---',	'<div align=\"left\">\r\n<p>Thanks,</p>\r\n<p><strong>Support Team</strong></p>\r\n</div>',	'',	'2019-12-08 17:13:10',	'2020-08-23 06:58:05',	'disabled',	'english',	'no',	'no'),
(102,	'Email Footer',	'template_lang_email_footer',	'everyone',	'other',	'---',	'<p>You received this email because you have an account with us. You can change your email preferences in your account dashboard.</p>',	'',	'2019-12-08 17:13:10',	'2020-11-12 20:38:15',	'disabled',	'english',	'no',	'no'),
(2,	'New Customer Sign Up',	'template_lang_new_customer_sign_up',	'admin',	'admin',	'New Customer Sign Up',	'<!DOCTYPE html>\n<html>\n\n<head>\n\n    <meta charset=\"utf-8\">\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\n    <title>Email Confirmation</title>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n    <style type=\"text/css\">\n        @media screen {\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 400;\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\n            }\n\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 700;\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\n            }\n        }\n\n        body,\n        table,\n        td,\n        a {\n            -ms-text-size-adjust: 100%;\n            /* 1 */\n            -webkit-text-size-adjust: 100%;\n            /* 2 */\n        }\n\n        img {\n            -ms-interpolation-mode: bicubic;\n        }\n\n        a[x-apple-data-detectors] {\n            font-family: inherit !important;\n            font-size: inherit !important;\n            font-weight: inherit !important;\n            line-height: inherit !important;\n            color: inherit !important;\n            text-decoration: none !important;\n        }\n\n        div[style*=\"margin: 16px 0;\"] {\n            margin: 0 !important;\n        }\n\n        body {\n            width: 100% !important;\n            height: 100% !important;\n            padding: 0 !important;\n            margin: 0 !important;\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            background-color: #f9fafc;\n            color: #60676d;\n        }\n\n        table {\n            border-collapse: collapse !important;\n        }\n\n        a {\n            color: #1a82e2;\n        }\n\n        img {\n            height: auto;\n            line-height: 100%;\n            text-decoration: none;\n            border: 0;\n            outline: none;\n        }\n\n        .table-1 {\n            max-width: 600px;\n        }\n\n        .table-1 td {\n            padding: 36px 24px 40px;\n            text-align: center;\n        }\n\n        .table-1 h1 {\n            margin: 0;\n            font-size: 32px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-2 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n            padding: 36px 24px 0;\n            border-top: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .table-2 h1 {\n            margin: 0;\n            font-size: 20px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-3 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n\n            background-color: #ffffff;\n        }\n\n        .td-1 {\n            padding: 24px;\n            font-size: 16px;\n            line-height: 24px;\n            background-color: #ffffff;\n            text-align: left;\n            padding-bottom: 10px;\n            padding-top: 0px;\n        }\n\n        .table-gray {\n            width: 100%;\n        }\n\n        .table-gray tr {\n            height: 24px;\n        }\n\n        .table-gray .td-1 {\n            background-color: #f1f3f7;\n            width: 30%;\n            border: solid 1px #e7e9ec;\n            padding-top: 5px;\n            padding-bottom: 5px;\n            font-size:16px;\n        }\n\n        .table-gray .td-2 {\n            background-color: #f1f3f7;\n            width: 70%;\n            border: solid 1px #e7e9ec;\n            font-size:16px;\n        }\n\n        .button {\n            display: inline-block;\n            padding: 16px 36px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            color: #ffffff;\n            text-decoration: none;\n            border-radius: 6px;\n            background-color: #1a82e2;\n            border-radius: 6px;\n        }\n\n        .signature {\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            line-height: 24px;\n            border-bottom: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .footer {\n            max-width: 600px;\n        }\n\n        .footer td {\n            padding: 12px 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 14px;\n            line-height: 20px;\n            color: #666;\n        }\n\n        .td-button {\n            padding: 12px;\n            background-color: #ffffff;\n            text-align: center;\n        }\n\n        .p-24 {\n            padding: 24px;\n        }\n    </style>\n\n</head>\n\n<body>\n<!-- start body -->\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\n<tbody>\n<tr>\n<td align=\"center\">\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>New Customer Sign Up</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start hero -->\n<tr>\n<td align=\"center\">\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Hi {name},</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start copy block -->\n<tr>\n<td align=\"center\">\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\n<tbody>\n<tr>\n<td class=\"td-1\">\n<p>A new customer has just signed up.</p>\n</td>\n</tr>\n<tr>\n<td class=\"td-1\">\n<table class=\"table-gray\" cellpadding=\"5\">\n<tbody>\n<tr>\n<td class=\"td-1\"><strong>Customer Name</strong></td>\n<td class=\"td-2\">{customer_name}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Account URL</strong></td>\n<td class=\"td-2\"><a href=\"{account_url}\">{account_name}</a></td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Plan</strong></td>\n<td class=\"td-2\">{plan_name}</td>\n</tr>\n</tbody>\n</table>\n<p>You can manage this customer via the dashboard.</p>\n</td>\n</tr>\n<tr>\n<td align=\"left\" bgcolor=\"#ffffff\">\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td class=\"td-button\">\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"center\"><a class=\"button\" href=\"{button_url}\" target=\"_blank\" rel=\"noopener\">Manage Customer</a></td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<tr>\n<td class=\"signature\">\n<p>{email_signature}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end copy block --> <!-- start footer -->\n<tr>\n<td class=\"p-24\" align=\"center\">\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\n<tbody>\n<tr>\n<td align=\"center\">\n<p>{email_footer}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end footer --></tbody>\n</table>\n<!-- end body -->\n</body>\n\n</html>',	'{customer_name}, {account_name}, {account_url},{plan_name}, {button_url}',	'2019-12-08 17:13:10',	'2022-01-13 17:59:51',	'enabled',	'english',	'yes',	'yes'),
(147,	'Payment Processing Error',	'template_lang_gateway_error',	'admin',	'system',	'Payment Processing Error',	'<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n\r\n    <meta charset=\"utf-8\">\r\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\r\n    <title>Email Confirmation</title>\r\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\r\n    <style type=\"text/css\">\r\n        @media screen {\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 400;\r\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\r\n            }\r\n\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 700;\r\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\r\n            }\r\n        }\r\n\r\n        body,\r\n        table,\r\n        td,\r\n        a {\r\n            -ms-text-size-adjust: 100%;\r\n            /* 1 */\r\n            -webkit-text-size-adjust: 100%;\r\n            /* 2 */\r\n        }\r\n\r\n        img {\r\n            -ms-interpolation-mode: bicubic;\r\n        }\r\n\r\n        a[x-apple-data-detectors] {\r\n            font-family: inherit !important;\r\n            font-size: inherit !important;\r\n            font-weight: inherit !important;\r\n            line-height: inherit !important;\r\n            color: inherit !important;\r\n            text-decoration: none !important;\r\n        }\r\n\r\n        div[style*=\"margin: 16px 0;\"] {\r\n            margin: 0 !important;\r\n        }\r\n\r\n        body {\r\n            width: 100% !important;\r\n            height: 100% !important;\r\n            padding: 0 !important;\r\n            margin: 0 !important;\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            background-color: #f9fafc;\r\n            color: #60676d;\r\n        }\r\n\r\n        table {\r\n            border-collapse: collapse !important;\r\n        }\r\n\r\n        a {\r\n            color: #1a82e2;\r\n        }\r\n\r\n        img {\r\n            height: auto;\r\n            line-height: 100%;\r\n            text-decoration: none;\r\n            border: 0;\r\n            outline: none;\r\n        }\r\n\r\n        .table-1 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-1 td {\r\n            padding: 36px 24px 40px;\r\n            text-align: center;\r\n        }\r\n\r\n        .table-1 h1 {\r\n            margin: 0;\r\n            font-size: 32px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-2 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n            padding: 36px 24px 0;\r\n            border-top: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .table-2 h1 {\r\n            margin: 0;\r\n            font-size: 20px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-3 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .td-1 {\r\n            padding: 24px;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            background-color: #ffffff;\r\n            text-align: left;\r\n            padding-bottom: 10px;\r\n            padding-top: 0px;\r\n        }\r\n\r\n        .table-gray {\r\n            width: 100%;\r\n        }\r\n\r\n        .table-gray tr {\r\n            height: 24px;\r\n        }\r\n\r\n        .table-gray .td-1 {\r\n            background-color: #f1f3f7;\r\n            width: 30%;\r\n            border: solid 1px #e7e9ec;\r\n            padding-top: 5px;\r\n            padding-bottom: 5px;\r\n            font-size:16px;\r\n        }\r\n\r\n        .table-gray .td-2 {\r\n            background-color: #f1f3f7;\r\n            width: 70%;\r\n            border: solid 1px #e7e9ec;\r\n            font-size:16px;\r\n        }\r\n\r\n        .button {\r\n            display: inline-block;\r\n            padding: 16px 36px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            color: #ffffff;\r\n            text-decoration: none;\r\n            border-radius: 6px;\r\n            background-color: #1a82e2;\r\n            border-radius: 6px;\r\n        }\r\n\r\n        .signature {\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            border-bottom: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .footer {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .footer td {\r\n            padding: 12px 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 14px;\r\n            line-height: 20px;\r\n            color: #666;\r\n        }\r\n\r\n        .td-button {\r\n            padding: 12px;\r\n            background-color: #ffffff;\r\n            text-align: center;\r\n        }\r\n\r\n        .p-24 {\r\n            padding: 24px;\r\n        }\r\n    </style>\r\n\r\n</head>\r\n\r\n<body>\r\n<!-- start body -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Payment Gateway Error</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start hero -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Hi {first_name},</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start copy block -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\">\r\n<p>There was an error deleting a subscription plan at the payment gateway.<br /><br /></p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\">\r\n<table class=\"table-gray\" cellpadding=\"5\">\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\"><strong>Gateway Name</strong></td>\r\n<td class=\"td-2\">{gateway_name}</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\"><strong>Plan ID</strong></td>\r\n<td class=\"td-2\">{gateway_plan_id}</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\"><strong>Plan Amount</strong></td>\r\n<td class=\"td-2\">{gateway_amount}</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<p>You can log in to your payment gateway and make the changes <strong>manually</strong>.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"signature\">\r\n<p>{email_signature}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end copy block --> <!-- start footer -->\r\n<tr>\r\n<td class=\"p-24\" align=\"center\">\r\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<p>{email_footer}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end footer --></tbody>\r\n</table>\r\n<!-- end body -->\r\n</body>\r\n\r\n</html>',	'{name}, {gateway_name}, {customer_name}, {subscription_id}, {payment_session_id}, {error_details}',	'2019-12-08 17:13:10',	'2021-11-07 18:49:46',	'enabled',	'english',	'yes',	'yes'),
(142,	'Payment Gateway Error - Updating',	'template_lang_gateway_error_updating',	'admin',	'system',	'Payment Gateway Error - Updating',	'<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n\r\n    <meta charset=\"utf-8\">\r\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\r\n    <title>Email Confirmation</title>\r\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\r\n    <style type=\"text/css\">\r\n        @media screen {\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 400;\r\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\r\n            }\r\n\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 700;\r\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\r\n            }\r\n        }\r\n\r\n        body,\r\n        table,\r\n        td,\r\n        a {\r\n            -ms-text-size-adjust: 100%;\r\n            /* 1 */\r\n            -webkit-text-size-adjust: 100%;\r\n            /* 2 */\r\n        }\r\n\r\n        img {\r\n            -ms-interpolation-mode: bicubic;\r\n        }\r\n\r\n        a[x-apple-data-detectors] {\r\n            font-family: inherit !important;\r\n            font-size: inherit !important;\r\n            font-weight: inherit !important;\r\n            line-height: inherit !important;\r\n            color: inherit !important;\r\n            text-decoration: none !important;\r\n        }\r\n\r\n        div[style*=\"margin: 16px 0;\"] {\r\n            margin: 0 !important;\r\n        }\r\n\r\n        body {\r\n            width: 100% !important;\r\n            height: 100% !important;\r\n            padding: 0 !important;\r\n            margin: 0 !important;\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            background-color: #f9fafc;\r\n            color: #60676d;\r\n        }\r\n\r\n        table {\r\n            border-collapse: collapse !important;\r\n        }\r\n\r\n        a {\r\n            color: #1a82e2;\r\n        }\r\n\r\n        img {\r\n            height: auto;\r\n            line-height: 100%;\r\n            text-decoration: none;\r\n            border: 0;\r\n            outline: none;\r\n        }\r\n\r\n        .table-1 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-1 td {\r\n            padding: 36px 24px 40px;\r\n            text-align: center;\r\n        }\r\n\r\n        .table-1 h1 {\r\n            margin: 0;\r\n            font-size: 32px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-2 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n            padding: 36px 24px 0;\r\n            border-top: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .table-2 h1 {\r\n            margin: 0;\r\n            font-size: 20px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-3 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .td-1 {\r\n            padding: 24px;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            background-color: #ffffff;\r\n            text-align: left;\r\n            padding-bottom: 10px;\r\n            padding-top: 0px;\r\n        }\r\n\r\n        .table-gray {\r\n            width: 100%;\r\n        }\r\n\r\n        .table-gray tr {\r\n            height: 24px;\r\n        }\r\n\r\n        .table-gray .td-1 {\r\n            background-color: #f1f3f7;\r\n            width: 30%;\r\n            border: solid 1px #e7e9ec;\r\n            padding-top: 5px;\r\n            padding-bottom: 5px;\r\n            font-size:16px;\r\n        }\r\n\r\n        .table-gray .td-2 {\r\n            background-color: #f1f3f7;\r\n            width: 70%;\r\n            border: solid 1px #e7e9ec;\r\n            font-size:16px;\r\n        }\r\n\r\n        .button {\r\n            display: inline-block;\r\n            padding: 16px 36px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            color: #ffffff;\r\n            text-decoration: none;\r\n            border-radius: 6px;\r\n            background-color: #1a82e2;\r\n            border-radius: 6px;\r\n        }\r\n\r\n        .signature {\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            border-bottom: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .footer {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .footer td {\r\n            padding: 12px 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 14px;\r\n            line-height: 20px;\r\n            color: #666;\r\n        }\r\n\r\n        .td-button {\r\n            padding: 12px;\r\n            background-color: #ffffff;\r\n            text-align: center;\r\n        }\r\n\r\n        .p-24 {\r\n            padding: 24px;\r\n        }\r\n    </style>\r\n\r\n</head>\r\n\r\n<body>\r\n<!-- start body -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Payment Gateway Error</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start hero -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Hi {first_name},</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start copy block -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\">\r\n<p>There was an error updating the following plan at the payment gateway.<br /><br /></p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\">\r\n<table class=\"table-gray\" cellpadding=\"5\">\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\"><strong>Gateway Name</strong></td>\r\n<td class=\"td-2\">{gateway_name}</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\"><strong>Plan ID</strong></td>\r\n<td class=\"td-2\">{gateway_plan_id}</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\"><strong>Plan Amount</strong></td>\r\n<td class=\"td-2\">{gateway_amount}</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<p>You can log in to your payment gateway and make the changes <strong>manually</strong>.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"signature\">\r\n<p>{email_signature}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end copy block --> <!-- start footer -->\r\n<tr>\r\n<td class=\"p-24\" align=\"center\">\r\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<p>{email_footer}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end footer --></tbody>\r\n</table>\r\n<!-- end body -->\r\n</body>\r\n\r\n</html>',	'{name}, {gateway_name}, {gateway_plan_id}, {gateway_amount}, {button_url}',	'2019-12-08 17:13:10',	'2021-11-07 18:48:41',	'enabled',	'english',	'yes',	'yes'),
(143,	'Payment Gateway Error - Deleting',	'template_lang_gateway_error_deleting',	'admin',	'system',	'Payment Gateway Error - Deleting',	'<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n\r\n    <meta charset=\"utf-8\">\r\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\r\n    <title>Email Confirmation</title>\r\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\r\n    <style type=\"text/css\">\r\n        @media screen {\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 400;\r\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\r\n            }\r\n\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 700;\r\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\r\n            }\r\n        }\r\n\r\n        body,\r\n        table,\r\n        td,\r\n        a {\r\n            -ms-text-size-adjust: 100%;\r\n            /* 1 */\r\n            -webkit-text-size-adjust: 100%;\r\n            /* 2 */\r\n        }\r\n\r\n        img {\r\n            -ms-interpolation-mode: bicubic;\r\n        }\r\n\r\n        a[x-apple-data-detectors] {\r\n            font-family: inherit !important;\r\n            font-size: inherit !important;\r\n            font-weight: inherit !important;\r\n            line-height: inherit !important;\r\n            color: inherit !important;\r\n            text-decoration: none !important;\r\n        }\r\n\r\n        div[style*=\"margin: 16px 0;\"] {\r\n            margin: 0 !important;\r\n        }\r\n\r\n        body {\r\n            width: 100% !important;\r\n            height: 100% !important;\r\n            padding: 0 !important;\r\n            margin: 0 !important;\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            background-color: #f9fafc;\r\n            color: #60676d;\r\n        }\r\n\r\n        table {\r\n            border-collapse: collapse !important;\r\n        }\r\n\r\n        a {\r\n            color: #1a82e2;\r\n        }\r\n\r\n        img {\r\n            height: auto;\r\n            line-height: 100%;\r\n            text-decoration: none;\r\n            border: 0;\r\n            outline: none;\r\n        }\r\n\r\n        .table-1 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-1 td {\r\n            padding: 36px 24px 40px;\r\n            text-align: center;\r\n        }\r\n\r\n        .table-1 h1 {\r\n            margin: 0;\r\n            font-size: 32px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-2 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n            padding: 36px 24px 0;\r\n            border-top: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .table-2 h1 {\r\n            margin: 0;\r\n            font-size: 20px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-3 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .td-1 {\r\n            padding: 24px;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            background-color: #ffffff;\r\n            text-align: left;\r\n            padding-bottom: 10px;\r\n            padding-top: 0px;\r\n        }\r\n\r\n        .table-gray {\r\n            width: 100%;\r\n        }\r\n\r\n        .table-gray tr {\r\n            height: 24px;\r\n        }\r\n\r\n        .table-gray .td-1 {\r\n            background-color: #f1f3f7;\r\n            width: 30%;\r\n            border: solid 1px #e7e9ec;\r\n            padding-top: 5px;\r\n            padding-bottom: 5px;\r\n            font-size:16px;\r\n        }\r\n\r\n        .table-gray .td-2 {\r\n            background-color: #f1f3f7;\r\n            width: 70%;\r\n            border: solid 1px #e7e9ec;\r\n            font-size:16px;\r\n        }\r\n\r\n        .button {\r\n            display: inline-block;\r\n            padding: 16px 36px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            color: #ffffff;\r\n            text-decoration: none;\r\n            border-radius: 6px;\r\n            background-color: #1a82e2;\r\n            border-radius: 6px;\r\n        }\r\n\r\n        .signature {\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            border-bottom: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .footer {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .footer td {\r\n            padding: 12px 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 14px;\r\n            line-height: 20px;\r\n            color: #666;\r\n        }\r\n\r\n        .td-button {\r\n            padding: 12px;\r\n            background-color: #ffffff;\r\n            text-align: center;\r\n        }\r\n\r\n        .p-24 {\r\n            padding: 24px;\r\n        }\r\n    </style>\r\n\r\n</head>\r\n\r\n<body>\r\n<!-- start body -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Payment Gateway Error</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start hero -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Hi {first_name},</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start copy block -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\">\r\n<p>There was an error deleting a subscription plan at the payment gateway.<br /><br /></p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\">\r\n<table class=\"table-gray\" cellpadding=\"5\">\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\"><strong>Gateway Name</strong></td>\r\n<td class=\"td-2\">{gateway_name}</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\"><strong>Plan ID</strong></td>\r\n<td class=\"td-2\">{gateway_plan_id}</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\"><strong>Plan Amount</strong></td>\r\n<td class=\"td-2\">{gateway_amount}</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<p>You can log in to your payment gateway and make the changes <strong>manually</strong>.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"signature\">\r\n<p>{email_signature}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end copy block --> <!-- start footer -->\r\n<tr>\r\n<td class=\"p-24\" align=\"center\">\r\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<p>{email_footer}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end footer --></tbody>\r\n</table>\r\n<!-- end body -->\r\n</body>\r\n\r\n</html>',	'{name}, {gateway_name}, {gateway_plan_id}, {gateway_amount}, {button_url}',	'2019-12-08 17:13:10',	'2021-11-07 18:49:46',	'enabled',	'english',	'yes',	'yes'),
(146,	'Payment Confirmation',	'template_lang_payment_confirmation',	'customer',	'customer',	'Payment Received',	'<!DOCTYPE html>\n<html>\n\n<head>\n\n    <meta charset=\"utf-8\">\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\n    <title>Email Confirmation</title>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n    <style type=\"text/css\">\n        @media screen {\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 400;\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\n            }\n\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 700;\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\n            }\n        }\n\n        body,\n        table,\n        td,\n        a {\n            -ms-text-size-adjust: 100%;\n            /* 1 */\n            -webkit-text-size-adjust: 100%;\n            /* 2 */\n        }\n\n        img {\n            -ms-interpolation-mode: bicubic;\n        }\n\n        a[x-apple-data-detectors] {\n            font-family: inherit !important;\n            font-size: inherit !important;\n            font-weight: inherit !important;\n            line-height: inherit !important;\n            color: inherit !important;\n            text-decoration: none !important;\n        }\n\n        div[style*=\"margin: 16px 0;\"] {\n            margin: 0 !important;\n        }\n\n        body {\n            width: 100% !important;\n            height: 100% !important;\n            padding: 0 !important;\n            margin: 0 !important;\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            background-color: #f9fafc;\n            color: #60676d;\n        }\n\n        table {\n            border-collapse: collapse !important;\n        }\n\n        a {\n            color: #1a82e2;\n        }\n\n        img {\n            height: auto;\n            line-height: 100%;\n            text-decoration: none;\n            border: 0;\n            outline: none;\n        }\n\n        .table-1 {\n            max-width: 600px;\n        }\n\n        .table-1 td {\n            padding: 36px 24px 40px;\n            text-align: center;\n        }\n\n        .table-1 h1 {\n            margin: 0;\n            font-size: 32px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-2 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n            padding: 36px 24px 0;\n            border-top: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .table-2 h1 {\n            margin: 0;\n            font-size: 20px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-3 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n\n            background-color: #ffffff;\n        }\n\n        .td-1 {\n            padding: 24px;\n            font-size: 16px;\n            line-height: 24px;\n            background-color: #ffffff;\n            text-align: left;\n            padding-bottom: 10px;\n            padding-top: 0px;\n        }\n\n        .table-gray {\n            width: 100%;\n        }\n\n        .table-gray tr {\n            height: 24px;\n        }\n\n        .table-gray .td-1 {\n            background-color: #f1f3f7;\n            width: 30%;\n            border: solid 1px #e7e9ec;\n            padding-top: 5px;\n            padding-bottom: 5px;\n        }\n\n        .table-gray .td-2 {\n            background-color: #f1f3f7;\n            width: 70%;\n            border: solid 1px #e7e9ec;\n        }\n\n        .button {\n            display: inline-block;\n            padding: 16px 36px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            color: #ffffff;\n            text-decoration: none;\n            border-radius: 6px;\n            background-color: #1a82e2;\n            border-radius: 6px;\n        }\n\n        .signature {\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            line-height: 24px;\n            border-bottom: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .footer {\n            max-width: 600px;\n        }\n\n        .footer td {\n            padding: 12px 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 14px;\n            line-height: 20px;\n            color: #666;\n        }\n\n        .td-button {\n            padding: 12px;\n            background-color: #ffffff;\n            text-align: center;\n        }\n\n        .p-24 {\n            padding: 24px;\n        }\n    </style>\n\n</head>\n\n<body>\n<!-- start body -->\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\n<tbody>\n<tr>\n<td align=\"center\">\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Payment Confirmation</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start hero -->\n<tr>\n<td align=\"center\">\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Hi {name},</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start copy block -->\n<tr>\n<td align=\"center\">\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\n<tbody>\n<tr>\n<td class=\"td-1\">\n<p>We have received your payment, with thanks.</p>\n</td>\n</tr>\n<tr>\n<td class=\"td-1\">\n<table class=\"table-gray\" cellpadding=\"5\">\n<tbody>\n<tr>\n<td class=\"td-1\"><strong>Amount</strong></td>\n<td class=\"td-2\">{amount}</td>\n</tr>\n</tbody>\n</table>\n<div>\n<div>&nbsp;</div>\n</div>\n</td>\n</tr>\n<tr>\n<td class=\"signature\">\n<p>{email_signature}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end copy block --> <!-- start footer -->\n<tr>\n<td class=\"p-24\" align=\"center\">\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\n<tbody>\n<tr>\n<td align=\"center\">\n<p>{email_footer}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end footer --></tbody>\n</table>\n<!-- end body -->\n</body>\n\n</html>',	'{name}, {amount}, {transaction_id}',	'2019-12-08 17:13:10',	'2022-01-13 17:59:16',	'enabled',	'english',	'yes',	'yes'),
(148,	'New Payment',	'template_lang_new_payment',	'admin',	'admin',	'New Payment',	'<!DOCTYPE html>\n<html>\n\n<head>\n\n    <meta charset=\"utf-8\">\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\n    <title>Email Confirmation</title>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n    <style type=\"text/css\">\n        @media screen {\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 400;\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\n            }\n\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 700;\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\n            }\n        }\n\n        body,\n        table,\n        td,\n        a {\n            -ms-text-size-adjust: 100%;\n            /* 1 */\n            -webkit-text-size-adjust: 100%;\n            /* 2 */\n        }\n\n        img {\n            -ms-interpolation-mode: bicubic;\n        }\n\n        a[x-apple-data-detectors] {\n            font-family: inherit !important;\n            font-size: inherit !important;\n            font-weight: inherit !important;\n            line-height: inherit !important;\n            color: inherit !important;\n            text-decoration: none !important;\n        }\n\n        div[style*=\"margin: 16px 0;\"] {\n            margin: 0 !important;\n        }\n\n        body {\n            width: 100% !important;\n            height: 100% !important;\n            padding: 0 !important;\n            margin: 0 !important;\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            background-color: #f9fafc;\n            color: #60676d;\n        }\n\n        table {\n            border-collapse: collapse !important;\n        }\n\n        a {\n            color: #1a82e2;\n        }\n\n        img {\n            height: auto;\n            line-height: 100%;\n            text-decoration: none;\n            border: 0;\n            outline: none;\n        }\n\n        .table-1 {\n            max-width: 600px;\n        }\n\n        .table-1 td {\n            padding: 36px 24px 40px;\n            text-align: center;\n        }\n\n        .table-1 h1 {\n            margin: 0;\n            font-size: 32px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-2 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n            padding: 36px 24px 0;\n            border-top: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .table-2 h1 {\n            margin: 0;\n            font-size: 20px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-3 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n\n            background-color: #ffffff;\n        }\n\n        .td-1 {\n            padding: 24px;\n            font-size: 16px;\n            line-height: 24px;\n            background-color: #ffffff;\n            text-align: left;\n            padding-bottom: 10px;\n            padding-top: 0px;\n        }\n\n        .table-gray {\n            width: 100%;\n        }\n\n        .table-gray tr {\n            height: 24px;\n        }\n\n        .table-gray .td-1 {\n            background-color: #f1f3f7;\n            width: 30%;\n            border: solid 1px #e7e9ec;\n            padding-top: 5px;\n            padding-bottom: 5px;\n        }\n\n        .table-gray .td-2 {\n            background-color: #f1f3f7;\n            width: 70%;\n            border: solid 1px #e7e9ec;\n        }\n\n        .button {\n            display: inline-block;\n            padding: 16px 36px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            color: #ffffff;\n            text-decoration: none;\n            border-radius: 6px;\n            background-color: #1a82e2;\n            border-radius: 6px;\n        }\n\n        .signature {\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            line-height: 24px;\n            border-bottom: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .footer {\n            max-width: 600px;\n        }\n\n        .footer td {\n            padding: 12px 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 14px;\n            line-height: 20px;\n            color: #666;\n        }\n\n        .td-button {\n            padding: 12px;\n            background-color: #ffffff;\n            text-align: center;\n        }\n\n        .p-24 {\n            padding: 24px;\n        }\n    </style>\n\n</head>\n\n<body>\n<!-- start body -->\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\n<tbody>\n<tr>\n<td align=\"center\">\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>New Payment</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start hero -->\n<tr>\n<td align=\"center\">\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Hi {name},</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start copy block -->\n<tr>\n<td align=\"center\">\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\n<tbody>\n<tr>\n<td class=\"td-1\">\n<p>A new payment has just been received.</p>\n</td>\n</tr>\n<tr>\n<td class=\"td-1\">\n<table class=\"table-gray\" cellpadding=\"5\">\n<tbody>\n<tr>\n<td class=\"td-1\"><strong>Customer</strong></td>\n<td class=\"td-2\">{customer_name}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Amount</strong></td>\n<td class=\"td-2\">{amount}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Transaction ID</strong></td>\n<td class=\"td-2\">{transaction_id}</td>\n</tr>\n</tbody>\n</table>\n<div>\n<div>\n<div>&nbsp;</div>\n</div>\n</div>\n</td>\n</tr>\n<tr>\n<td class=\"signature\">\n<p>{email_signature}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end copy block --> <!-- start footer -->\n<tr>\n<td class=\"p-24\" align=\"center\">\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\n<tbody>\n<tr>\n<td align=\"center\">\n<p>{email_footer}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end footer --></tbody>\n</table>\n<!-- end body -->\n</body>\n\n</html>',	'{name}, {customer_name}, {customer_id}, {amount}, {transaction_id}, {payment_gateway},',	'2019-12-08 17:13:10',	'2023-02-21 10:08:56',	'enabled',	'english',	'yes',	'yes'),
(149,	'Contact Form',	'template_lang_contact_form',	'everyone',	'other',	'New Contact Form',	'<!DOCTYPE html>\n<html>\n\n<head>\n\n    <meta charset=\"utf-8\">\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\n    <title>Email Confirmation</title>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n    <style type=\"text/css\">\n        @media screen {\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 400;\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\n            }\n\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 700;\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\n            }\n        }\n\n        body,\n        table,\n        td,\n        a {\n            -ms-text-size-adjust: 100%;\n            /* 1 */\n            -webkit-text-size-adjust: 100%;\n            /* 2 */\n        }\n\n        img {\n            -ms-interpolation-mode: bicubic;\n        }\n\n        a[x-apple-data-detectors] {\n            font-family: inherit !important;\n            font-size: inherit !important;\n            font-weight: inherit !important;\n            line-height: inherit !important;\n            color: inherit !important;\n            text-decoration: none !important;\n        }\n\n        div[style*=\"margin: 16px 0;\"] {\n            margin: 0 !important;\n        }\n\n        body {\n            width: 100% !important;\n            height: 100% !important;\n            padding: 0 !important;\n            margin: 0 !important;\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            background-color: #f9fafc;\n            color: #60676d;\n        }\n\n        table {\n            border-collapse: collapse !important;\n        }\n\n        a {\n            color: #1a82e2;\n        }\n\n        img {\n            height: auto;\n            line-height: 100%;\n            text-decoration: none;\n            border: 0;\n            outline: none;\n        }\n\n        .table-1 {\n            max-width: 600px;\n        }\n\n        .table-1 td {\n            padding: 36px 24px 40px;\n            text-align: center;\n        }\n\n        .table-1 h1 {\n            margin: 0;\n            font-size: 32px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-2 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n            padding: 36px 24px 0;\n            border-top: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .table-2 h1 {\n            margin: 0;\n            font-size: 20px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-3 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n\n            background-color: #ffffff;\n        }\n\n        .td-1 {\n            padding: 24px;\n            font-size: 16px;\n            line-height: 24px;\n            background-color: #ffffff;\n            text-align: left;\n            padding-bottom: 10px;\n            padding-top: 0px;\n        }\n\n        .table-gray {\n            width: 100%;\n        }\n\n        .table-gray tr {\n            height: 24px;\n        }\n\n        .table-gray .td-1 {\n            background-color: #f1f3f7;\n            width: 30%;\n            border: solid 1px #e7e9ec;\n            padding-top: 5px;\n            padding-bottom: 5px;\n        }\n\n        .table-gray .td-2 {\n            background-color: #f1f3f7;\n            width: 70%;\n            border: solid 1px #e7e9ec;\n        }\n\n        .button {\n            display: inline-block;\n            padding: 16px 36px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            color: #ffffff;\n            text-decoration: none;\n            border-radius: 6px;\n            background-color: #1a82e2;\n            border-radius: 6px;\n        }\n\n        .signature {\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            line-height: 24px;\n            border-bottom: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .footer {\n            max-width: 600px;\n        }\n\n        .footer td {\n            padding: 12px 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 14px;\n            line-height: 20px;\n            color: #666;\n        }\n\n        .td-button {\n            padding: 12px;\n            background-color: #ffffff;\n            text-align: center;\n        }\n\n        .p-24 {\n            padding: 24px;\n        }\n    </style>\n\n</head>\n\n<body>\n<!-- start body -->\n<table style=\"height: 329px; width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\n<tbody>\n<tr style=\"height: 167px;\">\n<td style=\"height: 167px;\" align=\"center\">\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\n<tbody>\n<tr>\n<td>\n<p><strong>From Name:</strong> {contact_name}</p>\n</td>\n</tr>\n<tr>\n<td>\n<p><strong>From Email:</strong> {contact_email}</p>\n</td>\n</tr>\n<tr>\n<td class=\"td-1\">\n<p>{message}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n</tbody>\n</table>\n<!-- end body -->\n</body>\n\n</html>',	'{name}, {contact_name}, {contact_email}',	'2019-12-08 17:13:10',	'2023-02-25 14:44:10',	'enabled',	'english',	'yes',	'yes'),
(150,	'Renewal Payment Failed',	'template_lang_payment_failed',	'customer',	'customer',	'Subscription Renewal Failed',	'<!DOCTYPE html>\n<html>\n\n<head>\n\n    <meta charset=\"utf-8\">\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\n    <title>Email Confirmation</title>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n    <style type=\"text/css\">\n        @media screen {\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 400;\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\n            }\n\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 700;\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\n            }\n        }\n\n        body,\n        table,\n        td,\n        a {\n            -ms-text-size-adjust: 100%;\n            /* 1 */\n            -webkit-text-size-adjust: 100%;\n            /* 2 */\n        }\n\n        img {\n            -ms-interpolation-mode: bicubic;\n        }\n\n        a[x-apple-data-detectors] {\n            font-family: inherit !important;\n            font-size: inherit !important;\n            font-weight: inherit !important;\n            line-height: inherit !important;\n            color: inherit !important;\n            text-decoration: none !important;\n        }\n\n        div[style*=\"margin: 16px 0;\"] {\n            margin: 0 !important;\n        }\n\n        body {\n            width: 100% !important;\n            height: 100% !important;\n            padding: 0 !important;\n            margin: 0 !important;\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            background-color: #f9fafc;\n            color: #60676d;\n        }\n\n        table {\n            border-collapse: collapse !important;\n        }\n\n        a {\n            color: #1a82e2;\n        }\n\n        img {\n            height: auto;\n            line-height: 100%;\n            text-decoration: none;\n            border: 0;\n            outline: none;\n        }\n\n        .table-1 {\n            max-width: 600px;\n        }\n\n        .table-1 td {\n            padding: 36px 24px 40px;\n            text-align: center;\n        }\n\n        .table-1 h1 {\n            margin: 0;\n            font-size: 32px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-2 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n            padding: 36px 24px 0;\n            border-top: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .table-2 h1 {\n            margin: 0;\n            font-size: 20px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-3 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n\n            background-color: #ffffff;\n        }\n\n        .td-1 {\n            padding: 24px;\n            font-size: 16px;\n            line-height: 24px;\n            background-color: #ffffff;\n            text-align: left;\n            padding-bottom: 10px;\n            padding-top: 0px;\n        }\n\n        .table-gray {\n            width: 100%;\n        }\n\n        .table-gray tr {\n            height: 24px;\n        }\n\n        .table-gray .td-1 {\n            background-color: #f1f3f7;\n            width: 30%;\n            border: solid 1px #e7e9ec;\n            padding-top: 5px;\n            padding-bottom: 5px;\n        }\n\n        .table-gray .td-2 {\n            background-color: #f1f3f7;\n            width: 70%;\n            border: solid 1px #e7e9ec;\n        }\n\n        .button {\n            display: inline-block;\n            padding: 16px 36px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            color: #ffffff;\n            text-decoration: none;\n            border-radius: 6px;\n            background-color: #1a82e2;\n            border-radius: 6px;\n        }\n\n        .signature {\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            line-height: 24px;\n            border-bottom: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .footer {\n            max-width: 600px;\n        }\n\n        .footer td {\n            padding: 12px 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 14px;\n            line-height: 20px;\n            color: #666;\n        }\n\n        .td-button {\n            padding: 12px;\n            background-color: #ffffff;\n            text-align: center;\n        }\n\n        .p-24 {\n            padding: 24px;\n        }\n    </style>\n\n</head>\n\n<body>\n<!-- start body -->\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\n<tbody>\n<tr>\n<td align=\"center\">\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Subscription Payment Failed</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start hero -->\n<tr>\n<td align=\"center\">\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Hi {name},</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start copy block -->\n<tr>\n<td align=\"center\">\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\n<tbody>\n<tr>\n<td class=\"td-1\">\n<p>We were unable to process your subscription renewal payment.<br /><br />Please ensure that your selected payment method has sufficient funds.&nbsp;<br /><br />We will attempt to process the payment again in the next 24-48 hrs.</p>\n</td>\n</tr>\n<tr>\n<td class=\"td-1\">\n<table class=\"table-gray\" cellpadding=\"5\">\n<tbody>\n<tr>\n<td class=\"td-1\"><strong>Amount</strong></td>\n<td class=\"td-2\">{amount}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Subscription ID</strong></td>\n<td class=\"td-2\">{subscription_id}</td>\n</tr>\n</tbody>\n</table>\n<div>\n<div>&nbsp;</div>\n</div>\n</td>\n</tr>\n<tr>\n<td class=\"signature\">\n<p>{email_signature}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end copy block --> <!-- start footer -->\n<tr>\n<td class=\"p-24\" align=\"center\">\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\n<tbody>\n<tr>\n<td align=\"center\">\n<p>{email_footer}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end footer --></tbody>\n</table>\n<!-- end body -->\n</body>\n\n</html>',	'{name}, {amount}, {subscription_id}, {plan_name}',	'2019-12-08 17:13:10',	'2023-04-02 15:52:19',	'enabled',	'english',	'yes',	'yes'),
(151,	'Subscription Cancelled',	'template_lang_subscription_cancelled',	'customer',	'customer',	'Subscription Cancelled',	'<!DOCTYPE html>\n<html>\n\n<head>\n\n    <meta charset=\"utf-8\">\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\n    <title>Email Confirmation</title>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n    <style type=\"text/css\">\n        @media screen {\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 400;\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\n            }\n\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 700;\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\n            }\n        }\n\n        body,\n        table,\n        td,\n        a {\n            -ms-text-size-adjust: 100%;\n            /* 1 */\n            -webkit-text-size-adjust: 100%;\n            /* 2 */\n        }\n\n        img {\n            -ms-interpolation-mode: bicubic;\n        }\n\n        a[x-apple-data-detectors] {\n            font-family: inherit !important;\n            font-size: inherit !important;\n            font-weight: inherit !important;\n            line-height: inherit !important;\n            color: inherit !important;\n            text-decoration: none !important;\n        }\n\n        div[style*=\"margin: 16px 0;\"] {\n            margin: 0 !important;\n        }\n\n        body {\n            width: 100% !important;\n            height: 100% !important;\n            padding: 0 !important;\n            margin: 0 !important;\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            background-color: #f9fafc;\n            color: #60676d;\n        }\n\n        table {\n            border-collapse: collapse !important;\n        }\n\n        a {\n            color: #1a82e2;\n        }\n\n        img {\n            height: auto;\n            line-height: 100%;\n            text-decoration: none;\n            border: 0;\n            outline: none;\n        }\n\n        .table-1 {\n            max-width: 600px;\n        }\n\n        .table-1 td {\n            padding: 36px 24px 40px;\n            text-align: center;\n        }\n\n        .table-1 h1 {\n            margin: 0;\n            font-size: 32px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-2 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n            padding: 36px 24px 0;\n            border-top: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .table-2 h1 {\n            margin: 0;\n            font-size: 20px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-3 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n\n            background-color: #ffffff;\n        }\n\n        .td-1 {\n            padding: 24px;\n            font-size: 16px;\n            line-height: 24px;\n            background-color: #ffffff;\n            text-align: left;\n            padding-bottom: 10px;\n            padding-top: 0px;\n        }\n\n        .table-gray {\n            width: 100%;\n        }\n\n        .table-gray tr {\n            height: 24px;\n        }\n\n        .table-gray .td-1 {\n            background-color: #f1f3f7;\n            width: 30%;\n            border: solid 1px #e7e9ec;\n            padding-top: 5px;\n            padding-bottom: 5px;\n        }\n\n        .table-gray .td-2 {\n            background-color: #f1f3f7;\n            width: 70%;\n            border: solid 1px #e7e9ec;\n        }\n\n        .button {\n            display: inline-block;\n            padding: 16px 36px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            color: #ffffff;\n            text-decoration: none;\n            border-radius: 6px;\n            background-color: #1a82e2;\n            border-radius: 6px;\n        }\n\n        .signature {\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            line-height: 24px;\n            border-bottom: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .footer {\n            max-width: 600px;\n        }\n\n        .footer td {\n            padding: 12px 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 14px;\n            line-height: 20px;\n            color: #666;\n        }\n\n        .td-button {\n            padding: 12px;\n            background-color: #ffffff;\n            text-align: center;\n        }\n\n        .p-24 {\n            padding: 24px;\n        }\n    </style>\n\n</head>\n\n<body>\n<!-- start body -->\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\n<tbody>\n<tr>\n<td align=\"center\">\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Subscription Cancelled</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start hero -->\n<tr>\n<td align=\"center\">\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Hi {name},</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start copy block -->\n<tr>\n<td align=\"center\">\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\n<tbody>\n<tr>\n<td class=\"td-1\">\n<p>Your subscription has now been cancelled.</p>\n</td>\n</tr>\n<tr>\n<td class=\"td-1\">\n<table class=\"table-gray\" style=\"height: 80px;\" cellpadding=\"5\">\n<tbody>\n<tr style=\"height: 40px;\">\n<td class=\"td-1\" style=\"height: 40px; width: 192.891px;\"><strong>URL</strong></td>\n<td class=\"td-2\" style=\"height: 40px; width: 486.109px;\">{customer_url}</td>\n</tr>\n<tr style=\"height: 40px;\">\n<td class=\"td-1\" style=\"height: 40px; width: 192.891px;\"><strong>Plan</strong></td>\n<td class=\"td-2\" style=\"height: 40px; width: 486.109px;\">{plan_name}</td>\n</tr>\n<tr style=\"height: 40px;\">\n<td class=\"td-1\" style=\"height: 40px; width: 192.891px;\"><strong>Subscription ID</strong></td>\n<td class=\"td-2\" style=\"height: 40px; width: 486.109px;\">{subscription_id}</td>\n</tr>\n</tbody>\n</table>\n<div>\n<div>&nbsp;</div>\n</div>\n</td>\n</tr>\n<tr>\n<td class=\"signature\">\n<p>{email_signature}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end copy block --> <!-- start footer -->\n<tr>\n<td class=\"p-24\" align=\"center\">\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\n<tbody>\n<tr>\n<td align=\"center\">\n<p>{email_footer}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end footer --></tbody>\n</table>\n<!-- end body -->\n</body>\n\n</html>',	'{name}, {customer_url}, {plan_name}, {subscription_id}, {subscription_amount}',	'2019-12-08 17:13:10',	'2023-04-02 17:45:23',	'enabled',	'english',	'yes',	'yes'),
(152,	'Subscription Cancelled',	'template_lang_subscription_cancelled',	'admin',	'admin',	'Subscription Cancelled',	'<!DOCTYPE html>\n<html>\n\n<head>\n\n    <meta charset=\"utf-8\">\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\n    <title>Email Confirmation</title>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n    <style type=\"text/css\">\n        @media screen {\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 400;\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\n            }\n\n            @font-face {\n                font-family: \'Source Sans Pro\';\n                font-style: normal;\n                font-weight: 700;\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\n            }\n        }\n\n        body,\n        table,\n        td,\n        a {\n            -ms-text-size-adjust: 100%;\n            /* 1 */\n            -webkit-text-size-adjust: 100%;\n            /* 2 */\n        }\n\n        img {\n            -ms-interpolation-mode: bicubic;\n        }\n\n        a[x-apple-data-detectors] {\n            font-family: inherit !important;\n            font-size: inherit !important;\n            font-weight: inherit !important;\n            line-height: inherit !important;\n            color: inherit !important;\n            text-decoration: none !important;\n        }\n\n        div[style*=\"margin: 16px 0;\"] {\n            margin: 0 !important;\n        }\n\n        body {\n            width: 100% !important;\n            height: 100% !important;\n            padding: 0 !important;\n            margin: 0 !important;\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            background-color: #f9fafc;\n            color: #60676d;\n        }\n\n        table {\n            border-collapse: collapse !important;\n        }\n\n        a {\n            color: #1a82e2;\n        }\n\n        img {\n            height: auto;\n            line-height: 100%;\n            text-decoration: none;\n            border: 0;\n            outline: none;\n        }\n\n        .table-1 {\n            max-width: 600px;\n        }\n\n        .table-1 td {\n            padding: 36px 24px 40px;\n            text-align: center;\n        }\n\n        .table-1 h1 {\n            margin: 0;\n            font-size: 32px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-2 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n            padding: 36px 24px 0;\n            border-top: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .table-2 h1 {\n            margin: 0;\n            font-size: 20px;\n            font-weight: 600;\n            letter-spacing: -1px;\n            line-height: 48px;\n        }\n\n        .table-3 {\n            max-width: 600px;\n        }\n\n        .table-2 td {\n\n            background-color: #ffffff;\n        }\n\n        .td-1 {\n            padding: 24px;\n            font-size: 16px;\n            line-height: 24px;\n            background-color: #ffffff;\n            text-align: left;\n            padding-bottom: 10px;\n            padding-top: 0px;\n        }\n\n        .table-gray {\n            width: 100%;\n        }\n\n        .table-gray tr {\n            height: 24px;\n        }\n\n        .table-gray .td-1 {\n            background-color: #f1f3f7;\n            width: 30%;\n            border: solid 1px #e7e9ec;\n            padding-top: 5px;\n            padding-bottom: 5px;\n        }\n\n        .table-gray .td-2 {\n            background-color: #f1f3f7;\n            width: 70%;\n            border: solid 1px #e7e9ec;\n        }\n\n        .button {\n            display: inline-block;\n            padding: 16px 36px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            color: #ffffff;\n            text-decoration: none;\n            border-radius: 6px;\n            background-color: #1a82e2;\n            border-radius: 6px;\n        }\n\n        .signature {\n            padding: 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 16px;\n            line-height: 24px;\n            border-bottom: 3px solid #d4dadf;\n            background-color: #ffffff;\n        }\n\n        .footer {\n            max-width: 600px;\n        }\n\n        .footer td {\n            padding: 12px 24px;\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\n            font-size: 14px;\n            line-height: 20px;\n            color: #666;\n        }\n\n        .td-button {\n            padding: 12px;\n            background-color: #ffffff;\n            text-align: center;\n        }\n\n        .p-24 {\n            padding: 24px;\n        }\n    </style>\n\n</head>\n\n<body>\n<!-- start body -->\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\n<tbody>\n<tr>\n<td align=\"center\">\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Subscription Cancelled</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start hero -->\n<tr>\n<td align=\"center\">\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td align=\"left\">\n<h1>Hi {name},</h1>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end hero --> <!-- start copy block -->\n<tr>\n<td align=\"center\">\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\n<tbody>\n<tr>\n<td class=\"td-1\">\n<p>The customer has cancelled their subscription.</p>\n</td>\n</tr>\n<tr>\n<td class=\"td-1\">\n<table class=\"table-gray\" cellpadding=\"5\">\n<tbody>\n<tr>\n<td class=\"td-1\"><strong>Customer Name</strong></td>\n<td class=\"td-2\">{customer_name}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>URL</strong></td>\n<td class=\"td-2\">{customer_url}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Plan</strong></td>\n<td class=\"td-2\">{plan_name}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Amount</strong></td>\n<td class=\"td-2\">{subscription_amount}</td>\n</tr>\n<tr>\n<td class=\"td-1\"><strong>Subscription ID</strong></td>\n<td class=\"td-2\">{subscription_id}</td>\n</tr>\n</tbody>\n</table>\n<div>\n<div>&nbsp;</div>\n</div>\n</td>\n</tr>\n<tr>\n<td class=\"signature\">\n<p>{email_signature}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end copy block --> <!-- start footer -->\n<tr>\n<td class=\"p-24\" align=\"center\">\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\n<tbody>\n<tr>\n<td align=\"center\">\n<p>{email_footer}</p>\n</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n<!-- end footer --></tbody>\n</table>\n<!-- end body -->\n</body>\n\n</html>',	'{name}, {customer_name}, {customer_url}, {plan_name}, {subscription_id}, {subscription_amount}',	'2019-12-08 17:13:10',	'2023-04-02 17:46:27',	'enabled',	'english',	'yes',	'yes'),
(153,	'New Team Welcome',	'template_lang_new_team_welcome',	'admin',	'admin',	'Welcome - Your Account Details',	'<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n\r\n    <meta charset=\"utf-8\">\r\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\r\n    <title>Email Confirmation</title>\r\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\r\n    <style type=\"text/css\">\r\n        @media screen {\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 400;\r\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\r\n            }\r\n\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 700;\r\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\r\n            }\r\n        }\r\n\r\n        body,\r\n        table,\r\n        td,\r\n        a {\r\n            -ms-text-size-adjust: 100%;\r\n            /* 1 */\r\n            -webkit-text-size-adjust: 100%;\r\n            /* 2 */\r\n        }\r\n\r\n        img {\r\n            -ms-interpolation-mode: bicubic;\r\n        }\r\n\r\n        a[x-apple-data-detectors] {\r\n            font-family: inherit !important;\r\n            font-size: inherit !important;\r\n            font-weight: inherit !important;\r\n            line-height: inherit !important;\r\n            color: inherit !important;\r\n            text-decoration: none !important;\r\n        }\r\n\r\n        div[style*=\"margin: 16px 0;\"] {\r\n            margin: 0 !important;\r\n        }\r\n\r\n        body {\r\n            width: 100% !important;\r\n            height: 100% !important;\r\n            padding: 0 !important;\r\n            margin: 0 !important;\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            background-color: #f9fafc;\r\n            color: #60676d;\r\n        }\r\n\r\n        table {\r\n            border-collapse: collapse !important;\r\n        }\r\n\r\n        a {\r\n            color: #1a82e2;\r\n        }\r\n\r\n        img {\r\n            height: auto;\r\n            line-height: 100%;\r\n            text-decoration: none;\r\n            border: 0;\r\n            outline: none;\r\n        }\r\n\r\n        .table-1 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-1 td {\r\n            padding: 36px 24px 40px;\r\n            text-align: center;\r\n        }\r\n\r\n        .table-1 h1 {\r\n            margin: 0;\r\n            font-size: 32px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-2 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n            padding: 36px 24px 0;\r\n            border-top: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .table-2 h1 {\r\n            margin: 0;\r\n            font-size: 20px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n        }\r\n\r\n        .table-3 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .td-1 {\r\n            padding: 24px;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            background-color: #ffffff;\r\n            text-align: left;\r\n            padding-bottom: 10px;\r\n            padding-top: 0px;\r\n        }\r\n\r\n        .table-gray {\r\n            width: 100%;\r\n        }\r\n\r\n        .table-gray tr {\r\n            height: 24px;\r\n        }\r\n\r\n        .table-gray .td-1 {\r\n            background-color: #f1f3f7;\r\n            width: 30%;\r\n            border: solid 1px #e7e9ec;\r\n            padding-top: 5px;\r\n            padding-bottom: 5px;\r\n        }\r\n\r\n        .table-gray .td-2 {\r\n            background-color: #f1f3f7;\r\n            width: 70%;\r\n            border: solid 1px #e7e9ec;\r\n        }\r\n\r\n        .button {\r\n            display: inline-block;\r\n            padding: 16px 36px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            color: #ffffff;\r\n            text-decoration: none;\r\n            border-radius: 6px;\r\n            background-color: #1a82e2;\r\n            border-radius: 6px;\r\n        }\r\n\r\n        .signature {\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            border-bottom: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .footer {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .footer td {\r\n            padding: 12px 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 14px;\r\n            line-height: 20px;\r\n            color: #666;\r\n        }\r\n\r\n        .td-button {\r\n            padding: 12px;\r\n            background-color: #ffffff;\r\n            text-align: center;\r\n        }\r\n\r\n        .p-24 {\r\n            padding: 24px;\r\n        }\r\n    </style>\r\n\r\n</head>\r\n\r\n<body>\r\n<!-- start body -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Welcome</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start hero -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Hi {name},</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start copy block -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\">\r\n<p>Your account has been created. Below are your login details.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\">\r\n<table class=\"table-gray\" cellpadding=\"5\">\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\"><strong>Account URL</strong></td>\r\n<td class=\"td-2\"><a href=\"{crm_url}\">{crm_url}</a></td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\"><strong>Username</strong></td>\r\n<td class=\"td-2\">{username}</td>\r\n</tr>\r\n<tr>\r\n<td class=\"td-1\"><strong>Password</strong></td>\r\n<td class=\"td-2\">{password}</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<div>\r\n<div>&nbsp;</div>\r\n</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"left\" bgcolor=\"#ffffff\">\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td class=\"td-button\">\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"center\"><a class=\"button\" href=\"{button_url}\" target=\"_blank\" rel=\"noopener\">Login&nbsp;</a></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td class=\"signature\">\r\n<p>{email_signature}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end copy block --> <!-- start footer -->\r\n<tr>\r\n<td class=\"p-24\" align=\"center\">\r\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<p>{email_footer}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end footer --></tbody>\r\n</table>\r\n<!-- end body -->\r\n</body>\r\n\r\n</html>',	'{name}, {username}, {password}, {crm_url}',	'2019-12-08 17:13:10',	'2023-04-07 08:31:48',	'enabled',	'english',	'yes',	'yes'),
(154,	'System Notification',	'template_lang_system_notification',	'admin',	'system',	'{notification_subject}',	'<!DOCTYPE html>\r\n<html>\r\n\r\n<head>\r\n\r\n    <meta charset=\"utf-8\">\r\n    <meta http-equiv=\"x-ua-compatible\" content=\"ie=edge\">\r\n    <title>Email Confirmation</title>\r\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\r\n    <style type=\"text/css\">\r\n        @media screen {\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 400;\r\n                src: local(\'Source Sans Pro Regular\'), local(\'SourceSansPro-Regular\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlBM0YzuT7MdOe03otPbuUS0.woff) format(\'woff\');\r\n            }\r\n\r\n            @font-face {\r\n                font-family: \'Source Sans Pro\';\r\n                font-style: normal;\r\n                font-weight: 700;\r\n                src: local(\'Source Sans Pro Bold\'), local(\'SourceSansPro-Bold\'), url(https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGFkQc6VGVFSmCnC_l7QZG60.woff) format(\'woff\');\r\n            }\r\n        }\r\n\r\n        body,\r\n        table,\r\n        td,\r\n        a {\r\n            -ms-text-size-adjust: 100%;\r\n            /* 1 */\r\n            -webkit-text-size-adjust: 100%;\r\n            /* 2 */\r\n        }\r\n\r\n        img {\r\n            -ms-interpolation-mode: bicubic;\r\n        }\r\n\r\n        a[x-apple-data-detectors] {\r\n            font-family: inherit !important;\r\n            font-size: inherit !important;\r\n            font-weight: inherit !important;\r\n            line-height: inherit !important;\r\n            color: inherit !important;\r\n            text-decoration: none !important;\r\n        }\r\n\r\n        div[style*=\"margin: 16px 0;\"] {\r\n            margin: 0 !important;\r\n        }\r\n\r\n        body {\r\n            width: 100% !important;\r\n            height: 100% !important;\r\n            padding: 0 !important;\r\n            margin: 0 !important;\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            background-color: #f9fafc;\r\n            color: #60676d;\r\n        }\r\n\r\n        table {\r\n            border-collapse: collapse !important;\r\n        }\r\n\r\n        a {\r\n            color: #1a82e2;\r\n        }\r\n\r\n        img {\r\n            height: auto;\r\n            line-height: 100%;\r\n            text-decoration: none;\r\n            border: 0;\r\n            outline: none;\r\n        }\r\n\r\n        .table-1 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-1 td {\r\n            padding: 36px 24px 40px;\r\n            text-align: center;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n        }\r\n\r\n        .table-1 h1 {\r\n            margin: 0;\r\n            font-size: 32px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n        }\r\n\r\n        .table-2 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n            padding: 36px 24px 0;\r\n            border-top: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n        }\r\n\r\n        .table-2 h1 {\r\n            margin: 0;\r\n            font-size: 20px;\r\n            font-weight: 600;\r\n            letter-spacing: -1px;\r\n            line-height: 48px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n        }\r\n\r\n        .table-3 {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .table-2 td {\r\n\r\n            background-color: #ffffff;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n        }\r\n\r\n        .td-1 {\r\n            padding: 24px;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            background-color: #ffffff;\r\n            text-align: left;\r\n            padding-bottom: 10px;\r\n            padding-top: 0px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n        }\r\n\r\n        .table-gray {\r\n            width: 100%;\r\n        }\r\n\r\n        .table-gray tr {\r\n            height: 24px;\r\n        }\r\n\r\n        .table-gray .td-1 {\r\n            background-color: #f1f3f7;\r\n            width: 30%;\r\n            border: solid 1px #e7e9ec;\r\n            padding-top: 5px;\r\n            padding-bottom: 5px;\r\n            font-size:16px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n        }\r\n\r\n        .table-gray .td-2 {\r\n            background-color: #f1f3f7;\r\n            width: 70%;\r\n            border: solid 1px #e7e9ec;\r\n            font-size:16px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n        }\r\n\r\n        .button, .button:active, .button:visited {\r\n            display: inline-block;\r\n            padding: 16px 36px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            color: #ffffff;\r\n            text-decoration: none;\r\n            border-radius: 6px;\r\n            background-color: #1a82e2;\r\n            border-radius: 6px;\r\n        }\r\n\r\n        .signature {\r\n            padding: 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 16px;\r\n            line-height: 24px;\r\n            border-bottom: 3px solid #d4dadf;\r\n            background-color: #ffffff;\r\n        }\r\n\r\n        .footer {\r\n            max-width: 600px;\r\n        }\r\n\r\n        .footer td {\r\n            padding: 12px 24px;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n            font-size: 14px;\r\n            line-height: 20px;\r\n            color: #666;\r\n        }\r\n\r\n        .td-button {\r\n            padding: 12px;\r\n            background-color: #ffffff;\r\n            text-align: center;\r\n            font-family: \'Source Sans Pro\', Helvetica, Arial, sans-serif;\r\n        }\r\n\r\n        .p-24 {\r\n            padding: 24px;\r\n        }\r\n    </style>\r\n\r\n</head>\r\n\r\n<body>\r\n<!-- start body -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start hero -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-1\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>{notification_title}</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start hero -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-2\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td align=\"left\">\r\n<h1>Hi {first_name},</h1>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end hero --> <!-- start copy block -->\r\n<tr>\r\n<td align=\"center\">\r\n<table class=\"table-3\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start copy -->\r\n<tbody>\r\n<tr>\r\n<td class=\"td-1\">\r\n<p>{notification_message}</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td align=\"left\" bgcolor=\"#ffffff\">&nbsp;</td>\r\n</tr>\r\n<tr>\r\n<td class=\"signature\">\r\n<p>{email_signature}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end copy block --> <!-- start footer -->\r\n<tr>\r\n<td class=\"p-24\" align=\"center\">\r\n<table class=\"footer\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><!-- start permission -->\r\n<tbody>\r\n<tr>\r\n<td align=\"center\">\r\n<p>{email_footer}</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n<!-- end footer --></tbody>\r\n</table>\r\n<!-- end body -->\r\n</body>\r\n\r\n</html>',	'{first_name}, {last_name}, {notification_title}, {notification_subject}, {notification_message}',	'2023-05-08 12:49:11',	'2023-05-08 12:49:11',	'enabled',	'english',	'yes',	'yes');

DROP TABLE IF EXISTS `events`;
CREATE TABLE `events` (
  `event_id` int(11) NOT NULL AUTO_INCREMENT,
  `event_created` datetime NOT NULL,
  `event_updated` datetime NOT NULL,
  `event_creatorid` int(11) NOT NULL,
  `event_customer_id` int(11) DEFAULT NULL,
  `event_creator_type` varchar(30) DEFAULT NULL COMMENT 'customer|admin|system',
  `event_type` varchar(100) DEFAULT NULL,
  `event_item_id` int(11) DEFAULT NULL,
  `event_payload_1` varchar(250) DEFAULT NULL,
  `event_payload_2` varchar(250) DEFAULT NULL,
  `event_payload_3` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`event_id`),
  KEY `event_creatorid` (`event_creatorid`),
  KEY `event_customer_id` (`event_customer_id`),
  KEY `event_creator_type` (`event_creator_type`),
  KEY `event_type` (`event_type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `faqs`;
CREATE TABLE `faqs` (
  `faq_id` int(11) NOT NULL AUTO_INCREMENT,
  `faq_created` datetime NOT NULL,
  `faq_updated` datetime NOT NULL,
  `faq_position` int(11) DEFAULT NULL,
  `faq_title` varchar(250) DEFAULT NULL,
  `faq_content` text DEFAULT NULL,
  PRIMARY KEY (`faq_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `frontend`;
CREATE TABLE `frontend` (
  `frontend_id` int(11) NOT NULL AUTO_INCREMENT,
  `frontend_name` varchar(100) DEFAULT NULL COMMENT 'e.g. hero-header',
  `frontend_group` varchar(100) DEFAULT NULL COMMENT 'optional',
  `frontend_created` datetime NOT NULL,
  `frontend_updated` datetime NOT NULL,
  `frontend_directory` varchar(100) DEFAULT NULL,
  `frontend_filename` varchar(100) DEFAULT NULL,
  `frontend_data_1` text DEFAULT NULL,
  `frontend_data_2` text DEFAULT NULL,
  `frontend_data_3` text DEFAULT NULL COMMENT 'optional',
  `frontend_data_4` text DEFAULT NULL COMMENT 'optional',
  `frontend_data_5` text DEFAULT NULL COMMENT 'optional',
  `frontend_data_6` text DEFAULT NULL COMMENT 'optional',
  `frontend_data_7` text DEFAULT NULL,
  `frontend_data_8` text DEFAULT NULL,
  `frontend_data_9` text DEFAULT NULL,
  `frontend_data_10` text DEFAULT NULL,
  `frontend_data_11` text DEFAULT NULL,
  PRIMARY KEY (`frontend_id`)
) ENGINE=MyISAM AUTO_INCREMENT=47 DEFAULT CHARSET=utf8 COMMENT='[do not truncate]';

INSERT INTO `frontend` (`frontend_id`, `frontend_name`, `frontend_group`, `frontend_created`, `frontend_updated`, `frontend_directory`, `frontend_filename`, `frontend_data_1`, `frontend_data_2`, `frontend_data_3`, `frontend_data_4`, `frontend_data_5`, `frontend_data_6`, `frontend_data_7`, `frontend_data_8`, `frontend_data_9`, `frontend_data_10`, `frontend_data_11`) VALUES
(1,	'hero-header',	NULL,	'0000-00-00 00:00:00',	'2023-04-30 12:28:07',	'system',	'hero-header.png',	'Advanced CRM Software',	'Increases Your Productivity',	'You no longer need to use multiple tools to get the job done. Grow CRM is your all-in-one tool.',	'Create Account',	'/account/signup',	'See Pricing',	'/pricing',	'daSGg8VPydZV9wiyGxt31KtSHmSH3smjhNlaTGcz',	'image.png',	NULL,	NULL),
(2,	'section-1-title',	NULL,	'0000-00-00 00:00:00',	'2023-04-30 12:29:26',	'background_1',	'background-1.png',	'Amazing Set Of Features',	'All the important tools that you need',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(3,	'section-1-feature-1',	'section-1',	'0000-00-00 00:00:00',	'2023-02-20 10:16:13',	'GpClLOcr6ekAYGdaQzLwdJHwa3YZQvoVVsuu7N3O',	'clients.png',	'Clients',	'Manage all aspects of your clients in one place.',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(4,	'section-1-feature-2',	'section-1',	'0000-00-00 00:00:00',	'2023-02-20 10:16:43',	'zRBUMn9dmitekH6cBy41Fu1G0BWlxgQzv0SAbF5h',	'project.png',	'Projects',	'Deliver your projects on time and on budget.',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(5,	'section-1-feature-3',	'section-1',	'0000-00-00 00:00:00',	'2023-02-20 10:17:08',	'ntRmOaQJ7gpS3q4kEALYskEMjC5GmSkgAOmnb6f7',	'leads.png',	'Prospects',	'Capture all your leads and opportunities easily.',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(6,	'section-1-feature-4',	'section-1',	'0000-00-00 00:00:00',	'2023-02-20 10:17:26',	'oW1OfhYWrs2cFphzpOsEesnik9p83qXSUNg7iMqq',	'team.png',	'Team Work',	'Collaboration between your team members easily.',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(7,	'section-2',	NULL,	'0000-00-00 00:00:00',	'2023-02-20 10:18:03',	'6p6rvF1KNJ8nY0c9iC2rHOrBInhrzHZp4kNg1nAV',	'home-dashboard-2.jpg',	'INCREASE YOUR PRODUCTIVITY',	'Software that your team will love',	'Our application comes with a host of features that are designed to help increase your entire team\'s productivity.<br /><br />\n<ul>\n<li>Project templates to kick-start a new project</li>\n<li>Clone task to speed your time to action</li>\n<li>Communicate and collaborate with your team and clients</li>\n<li>Time tracking for the whole team</li>\n</ul>',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(8,	'section-4',	NULL,	'0000-00-00 00:00:00',	'2023-02-20 10:18:52',	'ofpiunZoxdEayZYv0sodC33EJvfjIXtxuluw6FHJ',	'home-dashboard-3.jpg',	'Advanced Project Management',	'Beat your project deadlines',	'Our CRM gives you the right tools to manage, collaborate and complete your projects on time. Your clients will be happy and your team will be happy.<br /><br />\n<ul>\n<li>Easily see the progress of your project</li>\n<li>Collaborate with team members</li>\n<li>Break down your project into milestones and tasks</li>\n</ul>',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(42,	'page-footer',	NULL,	'2022-03-27 16:41:01',	'2023-02-20 20:17:14',	NULL,	NULL,	'<h4>Address</h4>\n10 Elma Street<br />London<br />E11 94T<br />United Kingdom',	'<h4>Quick Links</h4>\n<a href=\"pricing\">Pricing</a><br /><a href=\"contact\">Contact Us</a><br /><a href=\"faq\">Frequently Asked Questions</a><br /><a href=\"account/signup\">Sign Up</a>',	'<h4>Get In Touch</h4>\n<a href=\"https://facebook.com\">Facebook</a><br /><a href=\"https://twitter.com\">Twitter</a><br /><a href=\"https://instagram.com\">Instagram</a><br /><a href=\"https://guthub.com\">Github</a>',	'<h4>More Links</h4>\n<a href=\"pricing\">Pricing</a><br /><a href=\"contact\">Contact Us</a><br /><a href=\"faq\">Frequently Asked Questions</a><br /><a href=\"account/signup\">Sign Up</a>',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(9,	'section-3',	NULL,	'0000-00-00 00:00:00',	'2022-03-06 13:05:55',	'6p6rvF1KNJ8nY0c9iC2rHOrBInhrzHZp4kNg1nAV',	'home-dashboard-2.jpg',	'One tool to replace them all',	'Forget about jumping from one tool to another, just to get the job done.<br /><br />With our CRM, you get all the tools that you need in a single, easy to use application.',	'Create Account',	'/account/signup',	'See Pricing',	'/pricing',	NULL,	NULL,	NULL,	NULL,	NULL),
(10,	'section-5-title',	NULL,	'0000-00-00 00:00:00',	'2023-04-30 12:32:50',	'',	'',	'Amazing Set Of Features',	'All the important tools that you need',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(11,	'section-5-feature-1',	'section-5',	'0000-00-00 00:00:00',	'2023-02-20 10:19:52',	'N5pTLV4jjLDN3PIAfFg009NqbBNF5ueMPO2sNMyV',	'tasks.png',	'Tasks',	'Work through your task efficiently and intuitively.',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(12,	'section-5-feature-2',	'section-5',	'0000-00-00 00:00:00',	'2023-02-20 10:20:20',	'4VD6ggFIcrZgJuzByoWEoOCB61DktNXtQb81pKrZ',	'invoice.png',	'Invoicing',	'Invoice your clients and accept payments easily',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(13,	'section-5-feature-3',	'section-5',	'0000-00-00 00:00:00',	'2023-02-20 10:21:00',	'GBB5KvH8fFAxM21cJjJPLu50SoNClTaIYpDutgeG',	'estimate.png',	'Estimates',	'Quickly send your clients estimates and proposals',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(14,	'section-5-feature-4',	'section-5',	'0000-00-00 00:00:00',	'2023-02-20 10:21:36',	'2OHxlZYPbW1A9B5eKJencpIdU4l3vx1qq9Td06OK',	'roles.png',	'User Roles',	'Control the resources your team members can access',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(15,	'section-5-feature-5',	'section-5',	'0000-00-00 00:00:00',	'2022-03-07 11:20:08',	'oeneD83kEiJNA995c4f45KohJDHRiAqOO17Z3J9G',	'remote-world.png',	'Work From Anywhere',	'Your team can now easily connect and work from anywhere.',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(16,	'section-5-feature-6',	'section-5',	'0000-00-00 00:00:00',	'2022-03-07 07:53:42',	'slkNHXTr9nVsit6xVF0IOZQpVllg1WnSs2ls1GsR',	'time.png',	'Time Tracking',	'Advanced time tracking so you never miss a minute of time spent',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(17,	'section-5-feature-7',	'section-5',	'0000-00-00 00:00:00',	'2023-02-20 10:22:10',	'6pnNcvA0vfGHAXjTwfz8pMcVLbBSn7FB75AGXbqb',	'tickets.png',	'Help Desk',	'Use the helpdesk to provide support for your clients',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(18,	'section-5-feature-8',	'section-5',	'0000-00-00 00:00:00',	'2022-03-07 07:59:55',	'm4xyd3eOrqfvcjem2hEaHd6bLYpkCRCQbkdSgFIv',	'knowledge.png',	'Knowledgebase',	'Create engaging articles easily share information with all your stakeholders',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(19,	'section-5-feature-9',	'section-5',	'0000-00-00 00:00:00',	'2022-03-07 07:51:35',	'G5vtaDCV8NoPFiP4E0fZxx3aBNNPHxWXas6Xe2gJ',	'subscriptions.png',	'Subscriptions',	'Accept recurring payments via Stripe, using the subscription feature.',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(20,	'section-splash-title',	NULL,	'0000-00-00 00:00:00',	'2022-03-08 19:44:21',	'',	'',	'Productivity Redefined',	'The complete productivity tool for your business',	'Create Account',	'/account/signup',	'See Pricing',	'/pricing',	NULL,	NULL,	NULL,	NULL,	NULL),
(21,	'section-splash-1',	'section-splash',	'0000-00-00 00:00:00',	'2022-03-07 16:21:23',	'DcPtNt8vktvE77AJ04UiZ60ODbUmyIegcaAGra5a',	'splah-tasks.jpg',	'Tasks',	'',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(22,	'section-splash-2',	'section-splash',	'0000-00-00 00:00:00',	'2022-03-07 16:21:40',	'P5UAxBWf8BWgQbGOvo2QcvuJDYozMqmO5jXSIvua',	'splash-invoice.jpg',	'Invoices',	'',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(23,	'section-splash-3',	'section-splash',	'0000-00-00 00:00:00',	'2022-03-07 16:21:58',	'LYbyS0KCvGfaDebaFwfcRyO206rTroItjFAMXe4G',	'splash-tickets.jpg',	'Support Tickets',	'',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(24,	'section-splash-4',	'section-splash',	'0000-00-00 00:00:00',	'2022-03-07 16:22:16',	'GSqgOI4RaszeHJPUGZHmVJS5R3RNtsVLYEhq96sg',	'splash-clients.jpg',	'Clients',	'',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(25,	'section-splash-5',	'section-splash',	'0000-00-00 00:00:00',	'2022-03-07 16:22:32',	'QWXhwp5LlwN1xpk3TeAH39Lkxxw5xhBb75Qf6EsK',	'splash-leads.jpg',	'Leads',	'',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(26,	'section-splash-6',	'section-splash',	'0000-00-00 00:00:00',	'2022-03-07 16:22:51',	'uPQ70aqx57oVhWDxvX80vngDd8d0XvY2er2FIikn',	'splash-knowledgebase.jpg',	'Knowledgebase',	'',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(27,	'1',	'main-menu',	'0000-00-00 00:00:00',	'2023-03-02 18:30:54',	NULL,	NULL,	'Home',	'/',	'internal',	'parent',	NULL,	'same_window',	NULL,	NULL,	NULL,	NULL,	NULL),
(40,	'page-pricing',	NULL,	'2022-03-27 16:41:01',	'2023-03-04 12:00:57',	NULL,	NULL,	'Our Pricing',	'Start working smarter and faster today.',	'Just a <strong>footer&nbsp;</strong>sample',	'Get Started',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(29,	'2',	'main-menu',	'0000-00-00 00:00:00',	'2023-03-02 18:30:54',	NULL,	NULL,	'FAQ',	'/faq',	'internal',	'parent',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(30,	'3',	'main-menu',	'0000-00-00 00:00:00',	'2023-03-02 18:30:54',	NULL,	NULL,	'Pricing',	'/pricing',	'internal',	'parent',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(31,	'4',	'main-menu',	'0000-00-00 00:00:00',	'2023-03-02 18:30:54',	NULL,	NULL,	'Contact',	'/contact',	'internal',	'parent',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(38,	'5',	'main-menu',	'2022-03-27 17:14:58',	'2023-03-02 18:30:54',	NULL,	NULL,	'Log In',	'/account/login',	'internal',	'parent',	NULL,	'same_window',	NULL,	NULL,	NULL,	NULL,	NULL),
(39,	'6',	'main-menu',	'2022-03-27 17:15:24',	'2023-03-02 18:30:54',	NULL,	NULL,	'Sign Up',	'/account/signup',	'internal',	'parent',	NULL,	'same_window',	NULL,	NULL,	NULL,	NULL,	NULL),
(41,	'page-contact',	NULL,	'2022-03-27 16:41:01',	'2023-03-01 15:23:04',	NULL,	NULL,	'Contact Us',	'We are here to help you with any questions or problems you may be experiencing. <br />\n<h4><img src=\"storage/files/hmwUWQqJMRLEHCBAjTCBupTb5TdwqfBOU7kWaCoB/img.png\" alt=\"\" width=\"400\" height=\"400\" /></h4>',	'support@example.com',	'Submit Form',	'<div style=\"text-align: center;\">\n<h3 style=\"text-align: center;\"><br /><br /><br />Thank You</h3>\n</div>\n<div style=\"text-align: center;\"><br />We will respond to you very soon.</div>',	'New Contact Form',	NULL,	NULL,	NULL,	NULL,	NULL),
(43,	'page-footer-cta',	NULL,	'0000-00-00 00:00:00',	'2023-02-23 22:23:35',	'6p6rvF1KNJ8nY0c9iC2rHOrBInhrzHZp4kNg1nAV',	'home-dashboard-2.jpg',	'One tool to replace them all',	'Forget about jumping from one tool to another, just to get the job done.<br /><br />With our CRM, you get all the tools that you need in a single, easy to use application.',	'Create Account',	'/account/signup',	'See Pricing',	'/pricing',	NULL,	NULL,	NULL,	NULL,	NULL),
(44,	'page-faq',	NULL,	'2022-03-27 16:41:01',	'2023-03-03 08:55:52',	NULL,	NULL,	'Frequently Asked Question',	'For more help, you can also contact us',	'',	'',	'',	'',	NULL,	NULL,	NULL,	NULL,	NULL),
(45,	'page-signup',	NULL,	'2022-03-27 16:41:01',	'2023-03-03 16:15:31',	NULL,	NULL,	'Create your account',	'Work through your task efficiently and intuitively.',	'Create Account',	'Account Name',	'',	'',	NULL,	NULL,	NULL,	NULL,	NULL),
(46,	'page-login',	NULL,	'2022-03-27 16:41:01',	'2023-03-03 16:25:47',	NULL,	NULL,	'Login to your account',	'Please enter your account domain name and we will connect you',	'Continue',	'Account Name',	'',	'',	NULL,	NULL,	NULL,	NULL,	NULL);

DROP TABLE IF EXISTS `frontend_features`;
CREATE TABLE `frontend_features` (
  `frontend_features_id` int(11) NOT NULL AUTO_INCREMENT,
  `frontend_features_created` datetime NOT NULL,
  `frontend_features_updated` datetime NOT NULL,
  `frontend_features_title` varchar(250) DEFAULT NULL,
  `frontend_features_text` text DEFAULT NULL,
  `frontend_features_image` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`frontend_features_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[do not truncate]';


DROP TABLE IF EXISTS `packages`;
CREATE TABLE `packages` (
  `package_id` int(11) NOT NULL AUTO_INCREMENT,
  `package_created` datetime NOT NULL,
  `package_updated` datetime NOT NULL,
  `package_creatorid` int(11) DEFAULT NULL,
  `package_name` varchar(150) DEFAULT NULL,
  `package_subscription_options` varchar(150) DEFAULT 'paid' COMMENT 'free|paid',
  `package_amount_monthly` decimal(10,2) DEFAULT 0.00,
  `package_amount_yearly` decimal(10,2) DEFAULT 0.00,
  `package_gateway_stripe_product_monthly` varchar(150) DEFAULT NULL COMMENT 'API Info - Product is the parent to a plan',
  `package_gateway_stripe_price_monthly` varchar(150) DEFAULT NULL COMMENT 'API Info - This is called "price:',
  `package_gateway_stripe_product_yearly` varchar(150) DEFAULT NULL COMMENT 'API Info - Product is the parent to a plan',
  `package_gateway_stripe_price_yearly` varchar(150) DEFAULT NULL COMMENT 'API Info - This is called "price:',
  `package_gateway_paypal_plan_monthly` varchar(150) DEFAULT NULL,
  `package_gateway_paypal_plan_yearly` varchar(150) DEFAULT NULL,
  `package_gateway_razorpay_plan_monthly` varchar(150) DEFAULT NULL,
  `package_gateway_razorpay_plan_yearly` varchar(150) DEFAULT NULL,
  `package_gateway_paystack_plan_monthly` varchar(150) DEFAULT NULL,
  `package_gateway_paystack_plan_yearly` varchar(150) DEFAULT NULL,
  `package_description` text DEFAULT NULL,
  `package_icon` varchar(100) DEFAULT NULL,
  `package_featured` varchar(10) DEFAULT 'no' COMMENT 'yes|no',
  `package_limits_clients` int(11) DEFAULT 0 COMMENT '-1 is unlimited',
  `package_limits_team` int(11) DEFAULT 0 COMMENT '-1 is unlimited',
  `package_limits_projects` int(11) DEFAULT 0 COMMENT '-1 is unlimited',
  `package_module_projects` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_tasks` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_invoices` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_leads` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_knowledgebase` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_estimates` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_expense` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_subscriptions` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_tickets` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_timetracking` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_reminders` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_proposals` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_contracts` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_module_messages` varchar(10) DEFAULT 'yes' COMMENT 'yes|no',
  `package_status` varchar(10) DEFAULT 'active' COMMENT 'active|archived',
  `package_visibility` varchar(20) DEFAULT 'visible' COMMENT 'visible|hidden',
  `package_sync_date` datetime DEFAULT NULL,
  `package_sync_status` varchar(40) DEFAULT 'synced' COMMENT 'awaiting-sync|syncing|synced',
  PRIMARY KEY (`package_id`),
  KEY `package_creatorid` (`package_creatorid`),
  KEY `package_featured` (`package_featured`),
  KEY `package_status` (`package_status`),
  KEY `package_visibility` (`package_visibility`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `payments`;
CREATE TABLE `payments` (
  `payment_id` int(11) NOT NULL AUTO_INCREMENT,
  `payment_created` datetime NOT NULL,
  `payment_updated` datetime NOT NULL,
  `payment_date` datetime DEFAULT NULL,
  `payment_subscription_id` int(11) DEFAULT NULL,
  `payment_transaction_id` varchar(100) DEFAULT NULL,
  `payment_tenant_id` int(11) NOT NULL,
  `payment_gateway` varchar(100) DEFAULT NULL,
  `payment_amount` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`payment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `payment_sessions`;
CREATE TABLE `payment_sessions` (
  `session_id` int(11) NOT NULL AUTO_INCREMENT,
  `session_created` datetime DEFAULT NULL,
  `session_updated` datetime DEFAULT NULL,
  `session_creatorid` int(11) DEFAULT NULL COMMENT 'user making the payment',
  `session_creator_fullname` varchar(150) DEFAULT NULL,
  `session_creator_email` varchar(150) DEFAULT NULL,
  `session_gateway_name` varchar(150) DEFAULT NULL COMMENT 'stripe | paypal | etc',
  `session_gateway_ref` varchar(150) DEFAULT NULL COMMENT 'the checkout_session_id (either from the gateway or system generated)',
  `session_gateway_ref_2` varchar(150) DEFAULT NULL,
  `session_amount` decimal(10,2) DEFAULT NULL COMMENT 'amount of the payment',
  `session_invoices` varchar(250) DEFAULT NULL COMMENT '[currently] - single invoice id | [future] - comma seperated list of invoice id''s that are for this payment',
  `session_subscription_id` int(11) DEFAULT NULL COMMENT 'subscription id',
  `session_payload` text DEFAULT NULL,
  `session_status` varchar(20) DEFAULT 'pending' COMMENT 'pending|completed',
  PRIMARY KEY (`session_id`),
  KEY `session_gateway_name` (`session_gateway_name`),
  KEY `session_gateway_ref` (`session_gateway_ref`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `scheduled`;
CREATE TABLE `scheduled` (
  `scheduled_id` int(11) NOT NULL AUTO_INCREMENT,
  `scheduled_created` datetime NOT NULL,
  `scheduled_status` varchar(100) DEFAULT 'new' COMMENT 'new|processing|failed|completed',
  `scheduled_updated` datetime NOT NULL,
  `scheduled_gateway` varchar(100) DEFAULT NULL COMMENT 'stripe|paypal | etc| all-gateways',
  `scheduled_type` varchar(100) DEFAULT NULL COMMENT 'delete-database | cancel-subscription | delete-plan | update-plan-name |  update-plan-price',
  `scheduled_payload_1` varchar(100) DEFAULT '' COMMENT 'subscription id | plan id | etc',
  `scheduled_payload_2` text DEFAULT '' COMMENT 'optional data',
  `scheduled_payload_3` text DEFAULT NULL,
  `scheduled_payload_4` text DEFAULT NULL,
  `scheduled_payload_5` text DEFAULT NULL,
  `scheduled_attempts` int(11) DEFAULT 0,
  `scheduled_manual_action_required` varchar(100) DEFAULT 'no' COMMENT 'yes|no (can use this in the future to show admin an action log)',
  `scheduled_comments` text DEFAULT NULL,
  PRIMARY KEY (`scheduled_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate] - schedule of susbscriptions to be cancelled at payment gateway via cron';


DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (
  `id` varchar(250) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `ip_address` varchar(45) DEFAULT NULL,
  `user_agent` text DEFAULT NULL,
  `payload` text NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `last_activity` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings` (
  `settings_id` varchar(30) NOT NULL,
  `settings_created` datetime NOT NULL,
  `settings_updated` datetime NOT NULL,
  `settings_version` varchar(10) DEFAULT NULL,
  `settings_frontend_domain` varchar(200) DEFAULT NULL,
  `settings_base_domain` varchar(200) DEFAULT NULL,
  `settings_email_domain` varchar(200) DEFAULT NULL,
  `settings_company_name` varchar(100) DEFAULT NULL,
  `settings_company_address_line_1` varchar(100) DEFAULT NULL,
  `settings_company_state` varchar(100) DEFAULT NULL,
  `settings_company_city` varchar(100) DEFAULT NULL,
  `settings_company_zipcode` varchar(100) DEFAULT NULL,
  `settings_company_country` varchar(100) DEFAULT NULL,
  `settings_company_telephone` varchar(100) DEFAULT NULL,
  `settings_code_meta_title` text DEFAULT NULL,
  `settings_code_meta_description` text DEFAULT NULL,
  `settings_code_head` text DEFAULT NULL,
  `settings_code_body` text DEFAULT NULL,
  `settings_email_general_variables` text DEFAULT NULL,
  `settings_email_from_address` varchar(100) DEFAULT NULL,
  `settings_email_from_name` varchar(100) DEFAULT NULL,
  `settings_email_server_type` varchar(100) DEFAULT NULL,
  `settings_email_smtp_host` varchar(100) DEFAULT NULL,
  `settings_email_smtp_port` varchar(100) DEFAULT NULL,
  `settings_email_smtp_username` varchar(100) DEFAULT NULL,
  `settings_email_smtp_password` varchar(100) DEFAULT NULL,
  `settings_email_smtp_encryption` varchar(100) DEFAULT NULL,
  `settings_favicon_landlord_filename` varchar(100) DEFAULT NULL,
  `settings_favicon_frontend_filename` varchar(100) DEFAULT NULL,
  `settings_free_trial` varchar(10) DEFAULT 'no' COMMENT 'yes|no',
  `settings_free_trial_days` int(11) DEFAULT 0 COMMENT 'optional',
  `settings_frontend_status` varchar(100) DEFAULT 'enabled' COMMENT 'enabled|disabed',
  `settings_purchase_code` varchar(100) DEFAULT NULL,
  `settings_reserved_words` text DEFAULT NULL,
  `settings_system_timezone` varchar(100) DEFAULT NULL,
  `settings_system_date_format` varchar(100) DEFAULT NULL,
  `settings_system_datepicker_format` varchar(100) DEFAULT NULL,
  `settings_system_default_leftmenu` varchar(100) DEFAULT NULL,
  `settings_system_pagination_limits` varchar(100) DEFAULT NULL,
  `settings_system_currency_code` varchar(100) DEFAULT NULL,
  `settings_system_currency_symbol` varchar(100) DEFAULT NULL,
  `settings_system_currency_position` varchar(100) DEFAULT NULL,
  `settings_system_decimal_separator` varchar(100) DEFAULT NULL,
  `settings_system_thousand_separator` varchar(100) DEFAULT NULL,
  `settings_system_language_default` varchar(100) DEFAULT NULL,
  `settings_system_renewal_grace_period` varchar(100) DEFAULT '3' COMMENT 'days',
  `settings_system_logo_large_name` varchar(100) DEFAULT NULL,
  `settings_system_logo_small_name` varchar(100) DEFAULT NULL,
  `settings_system_logo_frontend_name` varchar(100) DEFAULT NULL,
  `settings_offline_payments_status` varchar(100) DEFAULT 'disabled' COMMENT 'enabled|disabled',
  `settings_offline_payments_display_name` varchar(100) DEFAULT NULL,
  `settings_offline_payments_details` text DEFAULT NULL,
  `settings_onboarding_status` varchar(50) DEFAULT 'disabled' COMMENT 'enabled|disabled',
  `settings_onboarding_content` text DEFAULT NULL,
  `settings_stripe_secret_key` varchar(150) DEFAULT NULL,
  `settings_stripe_public_key` varchar(150) DEFAULT NULL,
  `settings_stripe_webhooks_key` varchar(150) DEFAULT NULL,
  `settings_stripe_default_subscription_plan_id` varchar(150) DEFAULT NULL,
  `settings_stripe_display_name` varchar(150) DEFAULT NULL,
  `settings_stripe_status` varchar(30) DEFAULT 'disabled' COMMENT 'enabled|disabled',
  `settings_paypal_display_name` varchar(150) DEFAULT NULL,
  `settings_paypal_sandbox_client_id` varchar(250) DEFAULT NULL,
  `settings_paypal_sandbox_secret_key` varchar(250) DEFAULT NULL,
  `settings_paypal_live_client_id` varchar(250) DEFAULT NULL,
  `settings_paypal_live_secret_key` varchar(250) DEFAULT NULL,
  `settings_paypal_subscription_product_id` varchar(250) DEFAULT NULL COMMENT 'the product that wilb used to contain all plans',
  `settings_paypal_mode` varchar(30) DEFAULT 'live' COMMENT 'sandbox | live',
  `settings_paypal_status` varchar(30) DEFAULT 'disabled' COMMENT 'enabled|disabled',
  `settings_paystack_secret_key` varchar(250) DEFAULT NULL,
  `settings_paystack_public_key` varchar(250) DEFAULT NULL,
  `settings_paystack_display_name` varchar(250) DEFAULT NULL,
  `settings_paystack_status` varchar(50) DEFAULT 'disabled' COMMENT 'enabled|disabled',
  `settings_gateways_default_product_name` varchar(150) DEFAULT NULL COMMENT 'used to create a default product in some payment gateways (like paypal)',
  `settings_gateways_default_product_description` varchar(250) DEFAULT NULL COMMENT 'used to create a default product in some payment gateways (like paypal)',
  `settings_files_max_size_mb` varchar(100) DEFAULT NULL,
  `settings_system_javascript_versioning` varchar(100) DEFAULT NULL,
  `settings_theme_name` varchar(100) DEFAULT NULL,
  `settings_cronjob_has_run` varchar(100) DEFAULT 'no' COMMENT 'yes|no',
  `settings_cronjob_last_run` datetime DEFAULT NULL,
  `settings_cronjob_has_run_tenants` varchar(10) DEFAULT 'no' COMMENT 'yes|no',
  `settings_cronjob_last_run_tenants` datetime DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[do not truncate]';

INSERT INTO `settings` (`settings_id`, `settings_created`, `settings_updated`, `settings_version`, `settings_frontend_domain`, `settings_base_domain`, `settings_email_domain`, `settings_company_name`, `settings_company_address_line_1`, `settings_company_state`, `settings_company_city`, `settings_company_zipcode`, `settings_company_country`, `settings_company_telephone`, `settings_code_meta_title`, `settings_code_meta_description`, `settings_code_head`, `settings_code_body`, `settings_email_general_variables`, `settings_email_from_address`, `settings_email_from_name`, `settings_email_server_type`, `settings_email_smtp_host`, `settings_email_smtp_port`, `settings_email_smtp_username`, `settings_email_smtp_password`, `settings_email_smtp_encryption`, `settings_favicon_landlord_filename`, `settings_favicon_frontend_filename`, `settings_free_trial`, `settings_free_trial_days`, `settings_frontend_status`, `settings_purchase_code`, `settings_reserved_words`, `settings_system_timezone`, `settings_system_date_format`, `settings_system_datepicker_format`, `settings_system_default_leftmenu`, `settings_system_pagination_limits`, `settings_system_currency_code`, `settings_system_currency_symbol`, `settings_system_currency_position`, `settings_system_decimal_separator`, `settings_system_thousand_separator`, `settings_system_language_default`, `settings_system_renewal_grace_period`, `settings_system_logo_large_name`, `settings_system_logo_small_name`, `settings_system_logo_frontend_name`, `settings_offline_payments_status`, `settings_offline_payments_display_name`, `settings_offline_payments_details`, `settings_onboarding_status`, `settings_onboarding_content`, `settings_stripe_secret_key`, `settings_stripe_public_key`, `settings_stripe_webhooks_key`, `settings_stripe_default_subscription_plan_id`, `settings_stripe_display_name`, `settings_stripe_status`, `settings_paypal_display_name`, `settings_paypal_sandbox_client_id`, `settings_paypal_sandbox_secret_key`, `settings_paypal_live_client_id`, `settings_paypal_live_secret_key`, `settings_paypal_subscription_product_id`, `settings_paypal_mode`, `settings_paypal_status`, `settings_paystack_secret_key`, `settings_paystack_public_key`, `settings_paystack_display_name`, `settings_paystack_status`, `settings_gateways_default_product_name`, `settings_gateways_default_product_description`, `settings_files_max_size_mb`, `settings_system_javascript_versioning`, `settings_theme_name`, `settings_cronjob_has_run`, `settings_cronjob_last_run`, `settings_cronjob_has_run_tenants`, `settings_cronjob_last_run_tenants`) VALUES
('default',	'2023-05-23 17:12:48',	'2023-05-23 17:12:48',	'1.2',	'',	'',	'',	'ABC Inc',	'1 Reed Drive',	'Kent',	'Rochester',	'00X 00X',	'United Kingdom',	'123456789',	'CRM Application',	'CRM Application',	'',	'',	'{company_name}, {todays_date}, {email_signature}, {email_footer},',	'info@example.com',	'ABC Inc',	'sendmail',	'',	'',	'',	'',	'',	'favicon-landlord.ico',	'favicon-frontend.ico',	'yes',	14,	'enabled',	'',	'sales, contact, admin, info, sex',	'Europe/Amsterdam',	'd-m-Y',	'dd-mm-yyyy',	'collapsed',	'30',	'USD',	'$',	'left',	'fullstop',	'comma',	'english',	'3',	'logo-landlord.png',	'logo-landlord-small.png',	'logo-frontend.png',	'disabled',	'Bank Transfer',	'',	'disabled',	NULL,	'',	'',	'',	NULL,	'Stripe',	'disabled',	'Paypal',	'',	'',	'none',	'none',	'',	'sandbox',	'disabled',	'',	'',	'',	'disabled',	'CRM Subscription',	'Application Subscription Plan',	'5000',	'2023-05-23 17:12:48',	'default',	'no',	NULL,	'no',	NULL);

DROP TABLE IF EXISTS `subscriptions`;
CREATE TABLE `subscriptions` (
  `subscription_id` int(11) NOT NULL AUTO_INCREMENT,
  `subscription_created` datetime DEFAULT NULL,
  `subscription_gateway_id` varchar(100) DEFAULT NULL COMMENT 'from gateway',
  `subscription_status` varchar(100) DEFAULT 'awaiting-payment' COMMENT 'free-trial | awaiting-payment | active | failed | cancelled',
  `subscription_customerid` int(11) DEFAULT NULL,
  `subscription_uniqueid` varchar(200) DEFAULT NULL,
  `subscription_updated` datetime DEFAULT NULL,
  `subscription_creatorid` int(11) DEFAULT NULL,
  `subscription_type` varchar(30) DEFAULT 'paid' COMMENT 'paid|free',
  `subscription_payment_method` varchar(50) DEFAULT 'automatic' COMMENT 'automatic|offline',
  `subscription_amount` decimal(10,2) DEFAULT NULL,
  `subscription_trial_end` date DEFAULT NULL,
  `subscription_date_started` date DEFAULT NULL,
  `subscription_date_renewed` date DEFAULT NULL COMMENT 'from gateway',
  `subscription_date_next_renewal` date DEFAULT NULL COMMENT 'from gateway',
  `subscription_package_id` int(11) DEFAULT NULL COMMENT 'the planid, when subscription was created',
  `subscription_gateway_name` varchar(50) DEFAULT NULL COMMENT 'stripe|paypal',
  `subscription_gateway_plan_id` varchar(100) DEFAULT NULL COMMENT '[stripe = product] [paypal = foo]',
  `subscription_gateway_price_id` varchar(100) DEFAULT NULL COMMENT '[stripe = price] [paypal = null]',
  `subscription_gateway_billing_cycle` varchar(100) DEFAULT NULL COMMENT 'monthly|yearly',
  `subscription_gateway_last_message` text DEFAULT NULL COMMENT '(optional) from gateway',
  `subscription_gateway_last_date` date DEFAULT NULL COMMENT '(optional) from gateway',
  `subscription_checkout_reference` varchar(200) DEFAULT NULL COMMENT '(optional) any additional data',
  `subscription_checkout_reference_2` varchar(200) DEFAULT NULL COMMENT '(optional) any additional data',
  `subscription_checkout_reference_3` varchar(200) DEFAULT NULL COMMENT '(optional) any additional data',
  `subscription_checkout_reference_4` varchar(200) DEFAULT NULL COMMENT '(optional) any additional data',
  `subscription_checkout_reference_5` varchar(200) DEFAULT NULL COMMENT '(optional) any additional data',
  `subscription_checkout_payload` text DEFAULT NULL COMMENT '(optional) any additional data',
  `subscription_archived` varchar(20) DEFAULT 'no' COMMENT 'yes|no',
  PRIMARY KEY (`subscription_id`),
  KEY `subscription_creatorid` (`subscription_creatorid`),
  KEY `subscription_clientid` (`subscription_customerid`),
  KEY `subscription_status` (`subscription_status`),
  KEY `subscription_type` (`subscription_type`),
  KEY `subscription_package_id` (`subscription_package_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `tenants`;
CREATE TABLE `tenants` (
  `tenant_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `domain` varchar(255) DEFAULT NULL,
  `subdomain` varchar(255) DEFAULT NULL,
  `domain_type` varchar(255) DEFAULT 'subdomain' COMMENT 'subdomain|custom',
  `database` varchar(150) DEFAULT NULL,
  `tenant_created` timestamp NULL DEFAULT NULL,
  `tenant_updated` timestamp NULL DEFAULT NULL,
  `tenant_creatorid` int(11) DEFAULT NULL,
  `tenant_name` varchar(50) DEFAULT NULL,
  `tenant_email` varchar(150) DEFAULT NULL,
  `tenant_stripe_customer_id` varchar(150) DEFAULT NULL COMMENT 'used for stripe checkout',
  `tenant_paystack_customer_id` varchar(150) DEFAULT NULL COMMENT 'used for paystack checkout',
  `tenant_status` varchar(150) DEFAULT 'unsubscribed' COMMENT 'unsubscribed|free-trial|awaiting-payment|failed|active|cancelled',
  `tenant_password` varchar(150) DEFAULT NULL,
  `tenant_last_synced` date DEFAULT NULL,
  `tenant_email_config_type` varchar(100) DEFAULT 'local' COMMENT 'local|smtp',
  `tenant_email_config_status` varchar(100) DEFAULT 'pending',
  `tenant_email_local_email` varchar(200) DEFAULT NULL,
  `tenant_email_forwarding_email` varchar(200) DEFAULT NULL,
  `tenant_sync_status` varchar(40) DEFAULT NULL COMMENT 'awaiting-sync|null',
  `tenant_sync_user` varchar(40) DEFAULT NULL COMMENT 'awaiting-sync|null',
  PRIMARY KEY (`tenant_id`),
  UNIQUE KEY `tenants_domain_unique` (`domain`),
  UNIQUE KEY `tenants_database_unique` (`database`),
  KEY `tenant_email` (`tenant_email`),
  KEY `tenant_status` (`tenant_status`),
  KEY `tenant_stripe_customer_id` (`tenant_stripe_customer_id`),
  KEY `tenant_updated` (`tenant_updated`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


DROP TABLE IF EXISTS `updates`;
CREATE TABLE `updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_created` datetime NOT NULL,
  `update_updated` datetime NOT NULL,
  `update_type` varchar(100) DEFAULT NULL COMMENT 'landlord|tenant',
  `update_tenant_id` int(11) DEFAULT NULL,
  `update_version` decimal(10,2) DEFAULT NULL,
  `update_mysql_filename` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`update_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='tracks updates sql file execution';

INSERT INTO `updates` (`update_id`, `update_created`, `update_updated`, `update_type`, `update_tenant_id`, `update_version`, `update_mysql_filename`) VALUES
(1,	'2023-05-10 16:14:25',	'2023-05-10 16:14:25',	'landlord',	NULL,	1.10,	'1.1.sql');

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created` datetime DEFAULT NULL,
  `updated` datetime DEFAULT NULL,
  `deleted` datetime DEFAULT NULL COMMENT 'date when acccount was deleted',
  `creatorid` int(11) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `password` varchar(255) NOT NULL,
  `type` varchar(50) DEFAULT 'admin' COMMENT 'admin|staff',
  `first_name` varchar(100) NOT NULL,
  `last_name` varchar(100) NOT NULL,
  `primary_admin` varchar(10) DEFAULT 'no' COMMENT 'yes | no (only 1 primary admin - created during setup)',
  `avatar_directory` varchar(100) DEFAULT NULL,
  `avatar_filename` varchar(100) DEFAULT NULL,
  `status` varchar(20) DEFAULT 'active' COMMENT 'active|suspended|deleted',
  `last_seen` datetime DEFAULT NULL,
  `theme` varchar(100) DEFAULT 'default',
  `remember_token` varchar(150) DEFAULT NULL,
  `forgot_password_token` varchar(150) DEFAULT NULL COMMENT 'random token',
  `forgot_password_token_expiry` datetime DEFAULT NULL,
  `pref_leftmenu_position` varchar(30) DEFAULT 'collapsed' COMMENT 'collapsed | open',
  `pref_email_notifications` varchar(30) DEFAULT 'yes' COMMENT 'yes | no',
  `welcome_email_sent` varchar(150) DEFAULT 'no' COMMENT 'yes|no',
  PRIMARY KEY (`id`),
  KEY `email` (`email`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='[do not truncate]';

INSERT INTO `users` (`id`, `created`, `updated`, `deleted`, `creatorid`, `email`, `password`, `type`, `first_name`, `last_name`, `primary_admin`, `avatar_directory`, `avatar_filename`, `status`, `last_seen`, `theme`, `remember_token`, `forgot_password_token`, `forgot_password_token_expiry`, `pref_leftmenu_position`, `pref_email_notifications`, `welcome_email_sent`) VALUES
(1,	'2021-09-08 09:10:10',	'2023-04-30 12:38:56',	NULL,	0,	'owner@example.com',	'$2y$10$u7lAi9nFdSSUgXOUbKanWeMa4keeu25c05atLNKsPJpRxqtt3wwGW',	'admin',	'Fredy',	'Marks',	'yes',	'U0ZcW9Ul96UaYPCnCUDgQvjtWPZXkpLhyfovkUpU',	'avatar.jpg',	'active',	NULL,	'default',	'0sjmFdcNrkvZcJXwmka67boIHrEcatO7QlWCLol22N8M5s5FFydJsNjAif7M',	'',	'2022-01-13 21:39:54',	'collapsed',	'yes',	'no');

DROP TABLE IF EXISTS `webhooks`;
CREATE TABLE `webhooks` (
  `webhooks_id` int(11) NOT NULL AUTO_INCREMENT,
  `webhooks_created` datetime NOT NULL,
  `webhooks_status` varchar(30) DEFAULT 'new' COMMENT 'new|completed',
  `webhooks_source` varchar(100) DEFAULT NULL COMMENT 'in-app|stripe|paypal|etc',
  `webhooks_crm_reference` varchar(100) DEFAULT NULL COMMENT 'subscription-payment | subscription-activated | subscription-cancelled | subscription-renewed | subscription-payment-failed',
  `webhooks_type` varchar(100) DEFAULT NULL COMMENT 'subscription | onetime',
  `webhooks_gateway_reference` varchar(100) DEFAULT NULL COMMENT '(optional) any data',
  `webhooks_gateway_id` varchar(100) DEFAULT NULL COMMENT 'any unique id from gateway (if available)',
  `webhooks_transaction_type` varchar(100) DEFAULT NULL COMMENT '(optional) onetime|subscription',
  `webhooks_updated` datetime NOT NULL,
  `webhooks_creatorid` int(11) DEFAULT 0,
  `webhooks_amount` decimal(10,2) DEFAULT NULL COMMENT '(optional)',
  `webhooks_currency` varchar(40) DEFAULT NULL COMMENT '(optional)',
  `webhooks_payment_date` date DEFAULT NULL COMMENT '(optional)',
  `webhooks_next_due_date` date DEFAULT NULL COMMENT '(optional)',
  `webhooks_transaction_id` varchar(150) DEFAULT NULL COMMENT 'payment transaction id',
  `webhooks_subscription_id` varchar(150) DEFAULT NULL COMMENT 'gateway subscription id',
  `webhooks_gateway_reference_type` varchar(100) DEFAULT NULL COMMENT '(optional) e.g transaction-id | subscription-id|etc',
  `webhooks_attributes_1` varchar(100) DEFAULT NULL COMMENT '(optional) any data',
  `webhooks_attributes_2` varchar(100) DEFAULT NULL COMMENT '(optional) any data',
  `webhooks_payload` text DEFAULT NULL COMMENT '(optional) full request payload',
  `webhooks_comment` text DEFAULT NULL COMMENT '(optional)',
  `webhooks_attempts` int(11) DEFAULT 0 COMMENT 'Used mainly when we are pushing requests to the gateway via API',
  PRIMARY KEY (`webhooks_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='[truncate]';


-- 2023-05-23 17:13:04
